2005-10-12 07:35  rogan

	* doc/userguide/swing.xml: add some words about the web services
	  plugin

2005-10-12 07:35  rogan

	* src/org/owasp/webscarab/plugin/webservice/: Schema.java,
	  WebService.java, swing/MessageTreeTableModel.java,
	  swing/WebServicePanel.java: minor tweaks

2005-10-12 06:49  rogan

	* src/org/owasp/webscarab/plugin/webservice/: Schema.java,
	  WebService.java, swing/MessageTreeTableModel.java,
	  swing/WebServicePanel.form, swing/WebServicePanel.java: some
	  minor enhancements to the WebServices plugin

2005-10-12 06:48  rogan

	* src/org/owasp/webscarab/util/swing/TableSorter.java: remove exit
	  call

2005-10-12 06:48  rogan

	* src/org/owasp/webscarab/: plugin/ScriptManager.java,
	  ui/swing/ScriptManagerFrame.form,
	  ui/swing/ScriptManagerFrame.java: some minor improvements to the
	  ScriptManager

2005-10-12 06:46  rogan

	* src/org/owasp/webscarab/: ui/swing/editors/XMLPanel.form,
	  ui/swing/editors/XMLPanel.java, util/swing/TreeUtil.java: move
	  expand tree into a util class

2005-10-10 21:02  rogan

	* src/org/owasp/webscarab/: ui/swing/UIFramework.form,
	  ui/swing/UIFramework.java, util/TempDir.java: Implement 'Save As'
	  functionality

2005-10-06 18:29  rogan

	* installer/izpack.xml: install the wsdl4j library

2005-10-06 18:24  rogan

	* build.xml, src/org/owasp/webscarab/ui/swing/Main.java,
	  src/org/owasp/webscarab/plugin/webservice/ArrayValue.java,
	  src/org/owasp/webscarab/plugin/webservice/ComplexValue.java,
	  src/org/owasp/webscarab/plugin/webservice/DOMWriter.java,
	  src/org/owasp/webscarab/plugin/webservice/Field.java,
	  src/org/owasp/webscarab/plugin/webservice/OperationInfo.java,
	  src/org/owasp/webscarab/plugin/webservice/Schema.java,
	  src/org/owasp/webscarab/plugin/webservice/ServiceInfo.java,
	  src/org/owasp/webscarab/plugin/webservice/SimpleValue.java,
	  src/org/owasp/webscarab/plugin/webservice/Type.java,
	  src/org/owasp/webscarab/plugin/webservice/Value.java,
	  src/org/owasp/webscarab/plugin/webservice/WebService.java,
	  src/org/owasp/webscarab/plugin/webservice/WebServiceListener.java,
	  src/org/owasp/webscarab/plugin/webservice/WebServiceModel.java,
	  src/org/owasp/webscarab/plugin/webservice/swing/MessageTreeRenderer.java,
	  src/org/owasp/webscarab/plugin/webservice/swing/MessageTreeTableModel.java,
	  src/org/owasp/webscarab/plugin/webservice/swing/WebServicePanel.form,
	  src/org/owasp/webscarab/plugin/webservice/swing/WebServicePanel.java:
	  New WebService support

2005-10-06 18:23  rogan

	* lib/wsdl4j.jar: required for web services support

2005-10-06 16:25  rogan

	* src/org/owasp/webscarab/: model/AbstractConversationModel.java,
	  model/ConversationModel.java,
	  model/FilteredConversationModel.java, model/FrameworkModel.java,
	  plugin/compare/Compare.java, plugin/compare/CompareModel.java,
	  plugin/compare/swing/ComparePanel.java,
	  plugin/fragments/FragmentsModel.java,
	  plugin/scripted/ScriptedObjectModel.java,
	  plugin/search/Search.java, plugin/search/SearchModel.java,
	  plugin/search/swing/SearchPanel.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationTableModel.java, ui/swing/SummaryPanel.form,
	  ui/swing/SummaryPanel.java,
	  ui/swing/UrlFilteredConversationModel.java: removed url parameter
	  from ConversationModels, fixed FilteredConversationModel,
	  implemented UrlFilteredConversationModel

2005-09-22 15:57  rogan

	* build.xml: removed javahelp as a dependency for build, but
	  'force' it when doing the distributables

2005-09-22 15:38  rogan

	* src/org/owasp/webscarab/plugin/proxy/RevealHidden.java: Add a
	  <BR/> after revealed fields - thank Meder

2005-09-22 13:57  rogan

	* src/org/owasp/webscarab/ui/swing/editors/HexPanel.java: Made the
	  HexEditor editable again - thanks Nick

2005-09-22 13:43  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: HTMLPanel.form,
	  HTMLPanel.java, HexPanel.form, HexPanel.java: set some minimum
	  sizes

2005-09-22 13:41  rogan

	* src/org/owasp/webscarab/util/swing/DOMTreeModel.java: make leaf
	  detection more correct

2005-09-22 00:17  rogan

	* src/org/owasp/webscarab/ui/swing/editors/XMLPanel.java: fix
	  display of XML tree

2005-09-22 00:06  rogan

	* src/org/owasp/webscarab/: model/NamedValue.java,
	  plugin/Framework.java, plugin/fuzz/Fuzzer.java,
	  plugin/fuzz/FuzzerModel.java, plugin/fuzz/Parameter.java,
	  plugin/fuzz/Signature.java, plugin/fuzz/swing/FuzzerPanel.form,
	  plugin/fuzz/swing/FuzzerPanel.java: Update the fuzzer to make it
	  easier to work with. Can now copy an entire request into the
	  fuzzer

2005-09-22 00:03  rogan

	* src/org/owasp/webscarab/plugin/proxy/NTLMFilter.java: added a
	  comment re NTLM proxy

2005-09-07 17:46  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: UrlEncodedPanel.form,
	  UrlEncodedPanel.java: cleared out old parameters when loading a
	  new set

2005-09-07 17:45  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: SearchDialog.form,
	  SearchDialog.java: set a default button, made it non-modal

2005-09-07 17:44  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.form,
	  ContentPanel.java, ConversationPanel.form,
	  ConversationPanel.java: fixed some default sizes

2005-09-07 17:43  rogan

	* src/org/owasp/webscarab/plugin/proxy/ManualEdit.java: finally
	  enable the correct exclude regex

2005-09-07 17:41  rogan

	* src/org/owasp/webscarab/plugin/fuzz/: Fuzzer.java,
	  FuzzerModel.java, Parameter.java, Signature.java: do some
	  analysis

2005-09-07 17:40  rogan

	* src/org/owasp/webscarab/plugin/SSLKeyManager.java: enhancements,
	  not enabled yet

2005-09-07 17:39  rogan

	* src/org/owasp/webscarab/model/Request.java: added some logging

2005-09-07 17:39  rogan

	* src/org/owasp/webscarab/model/NamedValue.java: improved error
	  handling in split()

2005-09-07 17:38  rogan

	* src/org/owasp/webscarab/model/HttpUrl.java: fix parsing of
	  relative url's that have http:// as a parameter

2005-09-07 17:23  rogan

	* src/org/owasp/webscarab/model/Message.java: Accept Meder's change
	  to automatically update content-length header

2005-09-07 17:21  rogan

	* src/org/owasp/webscarab/plugin/proxy/RevealHidden.java: Accept
	  Meder's RevealHidden modifications

2005-07-20 12:52  rogan

	* src/org/owasp/webscarab/: httpclient/SSLKeyManager.java,
	  plugin/SSLKeyManager.java: Moved SSLKeyManager to plugin
	  directory

2005-07-20 12:41  rogan

	* src/org/owasp/webscarab/httpclient/: AggregateKeyManager.java,
	  SSLKeyManager.java: Moved AggregateKeyManager to SSLKeyManager

2005-07-20 10:36  rogan

	* src/org/owasp/webscarab/httpclient/AggregateKeyManager.java: new
	  class to manage SSL client certificates

2005-07-14 14:22  rogan

	* src/org/owasp/webscarab/: httpclient/AsyncFetcher.java,
	  model/ConversationID.java, model/FilteredUrlModel.java,
	  plugin/ScriptManager.java, plugin/fuzz/FuzzerModel.java,
	  plugin/scripted/Scripted.java, plugin/search/Search.java,
	  plugin/sessionid/swing/SessionIDPanel.java,
	  plugin/spider/swing/SpiderPanel.java, ui/swing/DateRenderer.java,
	  util/swing/DOMTreeModel.java,
	  util/swing/MultiLineCellRenderer.java,
	  util/swing/MultiLineTreeCellRenderer.java: Fixed Jikes warnings

2005-07-14 13:36  rogan

	* doc/userguide/swing.xml: Updated documentation

2005-07-14 13:33  rogan

	* build.xml: reworked the build file to make use of DocBook
	  catalogs for offline builds, improved the Proguard task

2005-06-20 19:20  rogan

	* src/org/owasp/webscarab/plugin/fuzz/Fuzzer.java: Changed fuzzer
	  to NOT URLEncode path parameters by default.	MAKE SURE THAT
	  THERE ARE NO ILLEGAL CHARACTERS IN PATH FUZZ STRINGS!!! ;-)

2005-06-20 10:44  rogan

	* src/org/owasp/webscarab/plugin/fuzz/: sql.txt, xss.txt: Sample
	  files for fuzzing

2005-06-20 10:43  rogan

	* src/org/owasp/webscarab/plugin/Hook.java: reduced logging

2005-06-20 10:41  rogan

	* scripts/no-images.bsh: Demonstrates rejecting conversations based
	  on the content-type, when adding to the framework

2005-06-20 10:40  rogan

	* src/org/owasp/webscarab/plugin/search/: Search.java,
	  SearchModel.java, swing/SearchPanel.java: General improvements to
	  the search functionality

2005-06-20 10:40  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: Added a new hook
	  executed when a conversation is added to the framework

2005-06-20 10:39  rogan

	* src/org/owasp/webscarab/ui/swing/: ScriptManagerFrame.form,
	  ScriptManagerFrame.java: Laid the window out a little better

2005-06-20 10:39  rogan

	* src/org/owasp/webscarab/plugin/ScriptManager.java: Fixed stupid
	  bug in getPlugin

2005-06-20 10:37  rogan

	* src/org/owasp/webscarab/plugin/ScriptableConversation.java:
	  Represents a new conversation being added to the framework

2005-06-20 00:21  rogan

	* src/org/owasp/webscarab/plugin/: compare/swing/ComparePanel.java,
	  compare/swing/ComparePanel.form,
	  manualrequest/swing/ManualRequestPanel.java,
	  manualrequest/swing/ManualRequestPanel.form: Made sure that long
	  requests do not mess up the layout of the windows, added a
	  conversation Renderer to the Compare drop down box

2005-06-20 00:06  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: Load the new Search
	  plugin at startup

2005-06-20 00:05  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationListTableModel.java:
	  Redundant class.

2005-06-20 00:03  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: Reduced logging

2005-06-20 00:02  rogan

	* src/org/owasp/webscarab/plugin/search/: SearchModel.java,
	  Search.java, swing/SearchPanel.form, swing/SearchPanel.java:
	  Implemented search saving and loading

2005-06-20 00:01  rogan

	* src/org/owasp/webscarab/ui/swing/ShowConversationAction.java:
	  Eliminated use of FrameworkModel

2005-06-20 00:00  rogan

	* src/org/owasp/webscarab/: plugin/compare/swing/ComparePanel.java,
	  plugin/fragments/swing/FragmentsPanel.java,
	  ui/swing/SummaryPanel.java, ui/swing/ConversationTableModel.java:
	  Modified ConversationTableModel to create the default columns.
	  Modified FragmentsPanel and ComparePanel to use
	  ConversationTableModel instead of ConversationListTableModel

2005-06-19 20:32  rogan

	* src/org/owasp/webscarab/plugin/search/: Search.java,
	  SearchModel.java, swing/SearchPanel.form, swing/SearchPanel.java:
	  [no log message]

2005-06-19 20:31  rogan

	* src/org/owasp/webscarab/model/: AbstractConversationModel.java,
	  ConversationModel.java: Added method to get the Origin of the
	  conversation to ConversationModel

2005-06-19 04:50  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: Enable the Fuzzer and
	  Compare plugins

2005-06-19 04:49  rogan

	* src/org/owasp/webscarab/plugin/compare/: Compare.java,
	  CompareModel.java, swing/ComparePanel.java: Updated to actually
	  show the distance

2005-06-19 04:10  rogan

	* src/org/owasp/webscarab/plugin/fuzz/swing/FuzzerPanel.java: Fixed
	  bizarre problems with ComboBox renderers, by removing the
	  renderer!

2005-06-19 04:08  rogan

	* src/org/owasp/webscarab/util/swing/: ComboBoxCellEditor.java,
	  ComboBoxCellRenderer.java: Unused classes

2005-06-19 03:49  rogan

	* src/org/owasp/webscarab/util/swing/ComboBoxCellRenderer.java:
	  Renders tables cells to look like a combobox

2005-06-19 03:28  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: Reduce logging

2005-06-19 03:25  rogan

	* src/org/owasp/webscarab/plugin/fuzz/RequestFuzzer.java: Unused
	  file

2005-06-19 03:24  rogan

	* src/org/owasp/webscarab/plugin/fuzz/: FuzzFactory.java,
	  FuzzSource.java, Fuzzer.java, Parameter.java,
	  swing/FuzzerPanel.form, swing/FuzzerPanel.java: Various
	  enhancements to make it more usable.	Implemented loading of Fuzz
	  Strings from a file Loading of preferred fuzz strings at init

2005-06-19 03:20  rogan

	* src/org/owasp/webscarab/util/swing/ComboBoxCellEditor.java: A
	  simple editor/render using a JCombobox

2005-06-18 21:20  rogan

	* src/org/owasp/webscarab/plugin/fuzz/: FuzzFactory.java,
	  FuzzSource.java, FuzzerEvent.java, FuzzerListener.java,
	  FuzzerModel.java, Parameter.java, swing/FuzzerPanel.form,
	  swing/FuzzerPanel.java: Initial stab at fuzzer support

2005-06-18 21:16  rogan

	* src/org/owasp/webscarab/plugin/fuzz/Fuzzer.java: Initial stab at
	  fuzzer support

2005-06-18 21:11  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: moved all
	  'state' into the plugin model

2005-06-18 21:10  rogan

	* src/org/owasp/webscarab/plugin/: fragments/Fragments.java,
	  fragments/swing/FragmentsPanel.java,
	  sessionid/SessionIDAnalysis.java,
	  sessionid/swing/SessionIDPanel.java: moved extraction of cookies
	  to sessionid plugin from fragments plugin

2005-06-18 21:09  rogan

	* src/org/owasp/webscarab/plugin/: AbstractPluginModel.java,
	  compare/CompareModel.java, fragments/FragmentsModel.java,
	  manualrequest/ManualRequestModel.java,
	  sessionid/SessionIDModel.java, spider/SpiderModel.java: Minor
	  improvements to AbstractPluginModel, rolled through into other
	  plugin models

2005-06-18 21:05  rogan

	* build.xml: only build the javahelp when making a set of
	  distributables

2005-06-18 21:03  rogan

	* installer/izpack.xml: Include sample scripts in the distribution

2005-06-10 14:28  rogan

	* src/org/owasp/webscarab/: plugin/compare/Compare.java,
	  plugin/compare/CompareModel.java,
	  plugin/compare/swing/ComparePanel.java,
	  util/LevenshteinDistance.java: Update LevenshteinDistance to
	  compare a List rather than an array Now we can tokenize the text
	  that we want to compare Moved updating the list of compared
	  responses to the plugin, and out of the model.

2005-06-10 14:26  rogan

	* src/org/owasp/webscarab/util/swing/ExceptionHandler.java:
	  Properly disable this on checkbox

2005-06-10 14:24  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationFrame.form,
	  ConversationFrame.java: remove redundant classes

2005-06-10 14:23  rogan

	* src/org/owasp/webscarab/ui/swing/ShowConversationAction.java: use
	  the newly updated ConversationPanel code

2005-06-10 14:22  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationPanel.form,
	  ConversationPanel.java: Redone as a proper NetBeans form,
	  reinstated the inFrame() code Complete replacement for
	  ConversationFrame

2005-06-10 14:20  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationListTableModel.java:
	  Actually add a date column

2005-06-08 16:31  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationListTableModel.java:
	  Add a Date column

2005-06-08 16:26  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: Add a Date
	  column in the Summary panel

2005-06-08 16:23  rogan

	* src/org/owasp/webscarab/model/FrameworkModel.java: Handle old
	  sessions that do not set a date

2005-06-08 16:19  rogan

	* src/org/owasp/webscarab/:
	  plugin/sessionid/swing/SessionIDPanel.java,
	  ui/swing/DateRenderer.java: Moved DateRenderer class to its own
	  file. Made it configurable from Preferences

2005-06-08 15:21  rogan

	* src/org/owasp/webscarab/: model/AbstractConversationModel.java,
	  model/ConversationModel.java,
	  model/FilteredConversationModel.java, model/FrameworkModel.java,
	  plugin/compare/CompareModel.java,
	  plugin/fragments/FragmentsModel.java: Implement a
	  conversationDate property. Also remove duplicated code from the
	  implementations of ConversationModel

2005-06-08 15:14  rogan

	* src/org/owasp/webscarab/model/: FileSystemStore.java,
	  SiteModelStore.java: Update the store to return the index into
	  the conversation list when adding a new Conversation

2005-06-06 13:56  rogan

	* build.xml: remove unneeded dependency

2005-06-06 09:37  rogan

	* scripts/: google-get.bsh, hacmebank-login-sequential.bsh,
	  hacmebank-login.bsh, hacmebank-post-message.bsh,
	  webgoat-session-brute.bsh: Some sample beanshell scripts for
	  exercising the Scripted plugin

2005-06-04 17:46  rogan

	* src/org/owasp/webscarab/plugin/scripted/ScriptedObjectModel.java,
	  doc/userguide/swing.xml: documentation updates

2005-06-03 11:46  rogan

	* src/org/owasp/webscarab/:
	  plugin/fragments/swing/FragmentsPanel.form,
	  plugin/fragments/swing/FragmentsPanel.java,
	  ui/swing/editors/UrlEncodedPanel.java,
	  ui/swing/ColumnWidthTracker.java, ui/swing/HeaderPanel.java,
	  ui/swing/SummaryPanel.java: Update usage of the
	  ColumnWidthTracker. Now column widths are synchronised over all
	  tracked instances.

2005-06-03 11:17  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: Make the
	  TreeTable not limited to the width of the screen

2005-06-03 11:12  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: Change the
	  preference names to make them generic, and therefore usable
	  wherever we have a conversation table or tree.

2005-06-03 11:10  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: Add
	  ColumnWidthTracking to the Url Tree and the ConversationTable

2005-06-03 11:10  rogan

	* src/org/owasp/webscarab/ui/swing/ColumnWidthTracker.java: Do not
	  remove non-existent columns

2005-06-03 11:02  rogan

	* src/org/owasp/webscarab/ui/swing/: HeaderPanel.java,
	  editors/UrlEncodedPanel.java: Updated to use the new
	  ColumnWidthTracker class

2005-06-03 11:01  rogan

	* src/org/owasp/webscarab/ui/swing/ColumnWidthTracker.java: Useful
	  class for tracking the width of table columns, and setting them
	  when started

2005-06-03 10:11  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: Fix
	  import statements

2005-06-03 10:10  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: Removed
	  unused code, now available in ConversationFrame

2005-06-03 09:57  rogan

	* src/org/owasp/webscarab/ui/swing/UIFramework.java: Print error
	  messages to stdout when the help files are not found

2005-06-02 18:22  rogan

	* src/org/owasp/webscarab/ui/swing/ShowConversationAction.java: Use
	  the new ConversationFrame, which allows stepping forwards and
	  backwards through conversaitons

2005-06-02 18:21  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationFrame.java: A frame
	  that allows stepping forwards and backwards through the list of
	  conversations

2005-06-02 18:19  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: removed
	  some obsolete references to tabbed views

2005-06-02 18:06  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationFrame.form,
	  ConversationFrame.java: Provides a way of stepping through
	  conversations

2005-06-02 17:40  rogan

	* src/org/owasp/webscarab/util/swing/ListComboBoxModel.java: Fire
	  notifications if the selected item changes

2005-06-02 17:09  rogan

	* src/org/owasp/webscarab/ui/swing/editors/UrlEncodedPanel.java:
	  Reworked table models to support remembering the column widths

2005-06-02 16:19  rogan

	* src/org/owasp/webscarab/ui/swing/HeaderPanel.java: Remember
	  preferred column width

2005-06-02 15:18  rogan

	* src/org/owasp/webscarab/ui/swing/: Main.java, UIFramework.form,
	  UIFramework.java: Create a new startup panel, asking what you
	  want to do.  Moved creation and deletion of temporary sessions
	  into UIFramework

2005-06-02 15:16  rogan

	* src/org/owasp/webscarab/model/FrameworkModel.java: Catch and
	  throw exceptions if necessary while changing session

2005-06-02 15:15  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ManualEditFrame.java:
	  change the default button back to "Accept"

2005-06-02 14:56  rogan

	* src/org/owasp/webscarab/util/swing/: ExceptionHandler.form,
	  ExceptionHandler.java: Replaces previous ExceptionHandler class
	  in ui.swing Adds ability to disable GUI exception handling

2005-06-02 14:54  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Moved to
	  util.swing . . .

2005-06-02 11:38  rogan

	* build.xml: Fix spelling of Mozilla character set detection jar,
	  so that ProGuard would include it properly

2005-05-19 18:26  rogan

	* installer/shortcutSpec.xml: Set the initial working directory, so
	  that the IE integration library can be found

2005-05-19 18:10  rogan

	* build.xml: Some build improvements to support proxy settings, and
	  local properties

2005-05-19 17:26  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: Don't include Compare
	  plugin by default. Not usable yet (too slow!)

2005-05-19 17:26  rogan

	* build.xml: Some build fixes, also try to prevent unused public
	  methods from being optimised away

2005-05-19 17:24  rogan

	* src/org/owasp/webscarab/util/LevenshteinDistance.java: bugfixes

2005-05-19 17:23  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Disable
	  exception handling from recursively calling this class

2005-05-19 17:20  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/:
	  ManualEditFrame.form, ManualEditFrame.java, ManualEditPanel.form,
	  ManualEditPanel.java: Fairly significant modifications: Renamed
	  the "Cancel all edits" button to a more meaningful text, and
	  implemented tool-tips for all buttons.  Fixed the default exclude
	  regex, so it should work now . . .  Rearranged some of the items
	  in the ManualEditFrame, to improve the layout Added checkboxes to
	  the ManualEditFrame to allow toggling of intercepts from an
	  active intercept window

2005-05-19 14:36  rogan

	* src/org/owasp/webscarab/plugin/compare/: Compare.java,
	  CompareModel.java, swing/ComparePanel.form,
	  swing/ComparePanel.java: New plugin for showing differences
	  between responses. VERY VERY slow at the moment! :-(

2005-05-19 14:33  rogan

	* src/org/owasp/webscarab/plugin/:
	  fragments/swing/FragmentsPanel.java, AbstractPluginModel.java,
	  fragments/FragmentListener.java, fragments/FragmentsModel.java,
	  fuzz/FuzzerListener.java, fuzz/FuzzerModel.java,
	  fuzz/swing/FuzzerPanel.java, sessionid/SessionIDListener.java,
	  sessionid/SessionIDModel.java,
	  sessionid/swing/SessionIDPanel.java: Remove useless events from
	  the AbstractPlugin model, replace them with bound properties
	  which can be listened to IF needed

2005-05-19 14:31  rogan

	* src/org/owasp/webscarab/: httpclient/HTTPClientFactory.java,
	  httpclient/URLFetcher.java, plugin/Framework.java: Make
	  HttpClient timeouts a settable property

2005-05-19 14:28  rogan

	* src/org/owasp/webscarab/plugin/PluginListener.java: Unnecessary
	  Class

2005-05-19 13:33  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Removed
	  an "exit()" call that should not be here

2005-05-19 11:57  rogan

	* src/org/owasp/webscarab/plugin/proxy/BeanShell.java: Removed
	  references to SiteModel, since that class has been
	  deprecated/removed.  If you were actually using SiteModel in your
	  scripts , please let me know, and I'll make a plan for an
	  alternative solution

2005-05-18 17:32  rogan

	* src/org/owasp/webscarab/util/LevenshteinDistance.java: Calculates
	  the Levenshtein distance between two byte arrays

2005-05-18 17:27  rogan

	* build.xml: Minor tweaks to the build process

2005-05-18 17:25  rogan

	* src/org/owasp/webscarab/: model/DefaultSiteModel.java,
	  model/FilteredSiteModel.java, model/SiteModel.java,
	  model/SiteModelAdapter.java, model/SiteModelEvent.java,
	  model/SiteModelListener.java, plugin/fragments/FragmentsUI.java,
	  plugin/sessionid/swing/SessionIDListener.java,
	  ui/swing/SiteTreeModelAdapter.java,
	  ui/swing/SiteTreeTableModelAdapter.java: Removal of obsolete
	  classes, as a result of the refactoring performed

2005-05-18 17:23  rogan

	* src/org/owasp/webscarab/: model/FileSystemStore.java,
	  model/SiteModelStore.java, plugin/fragments/FileSystemStore.java,
	  plugin/fragments/Fragments.java,
	  plugin/fragments/swing/FragmentsPanel.java,
	  plugin/fuzz/Fuzzer.java, plugin/fuzz/FuzzerEvent.java,
	  plugin/fuzz/FuzzerListener.java, plugin/fuzz/FuzzerModel.java,
	  plugin/fuzz/swing/FuzzerPanel.java,
	  plugin/manualrequest/ManualRequest.java,
	  plugin/manualrequest/swing/ManualRequestPanel.java,
	  plugin/proxy/BeanShell.java, plugin/proxy/CookieTracker.java,
	  plugin/proxy/Proxy.java, plugin/proxy/ProxyPlugin.java,
	  plugin/proxy/swing/BeanShellPanel.java,
	  plugin/proxy/swing/MiscPanel.java,
	  plugin/proxy/swing/ProxyPanel.java,
	  plugin/scripted/ScriptedObjectModel.java,
	  plugin/sessionid/SessionIDAnalysis.java,
	  plugin/sessionid/swing/SessionIDPanel.java,
	  plugin/spider/Spider.java, plugin/spider/swing/SpiderPanel.java,
	  plugin/Framework.java, plugin/FrameworkUI.java,
	  plugin/Plugin.java, plugin/spider/SpiderModel.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationListTableModel.java,
	  ui/swing/ConversationPanel.java,
	  ui/swing/ConversationRenderer.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.java, ui/swing/Main.java,
	  ui/swing/ShowConversationAction.java, ui/swing/SummaryPanel.java,
	  ui/swing/UIFramework.java: Massive refactoring of underlying
	  models, and removal of references to unused classes

2005-05-18 17:18  rogan

	* src/org/owasp/webscarab/ui/swing/: UrlTreeModelAdapter.java,
	  UrlTreeTableModelAdapter.java: Provide a TreeModel interface on
	  top of an UrlModel, rather than on top of a SiteModel

2005-05-18 17:16  rogan

	* src/org/owasp/webscarab/plugin/PluginListener.java: Provide a
	  basis for other plugin listener interfaces

2005-05-18 17:16  rogan

	* src/org/owasp/webscarab/plugin/AbstractPluginModel.java: Provide
	  a basis for other models

2005-05-18 17:15  rogan

	* src/org/owasp/webscarab/plugin/sessionid/:
	  SessionIDListener.java, SessionIDModel.java: Implement a proper
	  model for SessionID Analysis plugin

2005-05-18 17:14  rogan

	*
	  src/org/owasp/webscarab/plugin/manualrequest/ManualRequestModel.java:
	  Implement a model for the ManualRequest plugin

2005-05-18 17:13  rogan

	* src/org/owasp/webscarab/plugin/fragments/: FragmentListener.java,
	  FragmentsModel.java: Provide an implementation of Model for the
	  Fragment plugin

2005-05-18 17:12  rogan

	* src/org/owasp/webscarab/model/: AbstractConversationModel.java,
	  AbstractUrlModel.java, ConversationEvent.java,
	  ConversationListener.java, ConversationModel.java,
	  FilteredConversationModel.java, FilteredUrlModel.java,
	  FrameworkEvent.java, FrameworkListener.java, FrameworkModel.java,
	  UrlEvent.java, UrlListener.java, UrlModel.java: Refactoring of
	  SiteModel into separate classes, makes it a lot simpler to
	  implement proper models for each plugin now

2005-04-14 09:11  rogan

	* build.xml: Try to fix javahelp building outside of netbeans

2005-04-14 08:59  rogan

	* src/org/owasp/webscarab/ui/swing/UIFramework.java: Fix stupid
	  "failure to save session" error

2005-04-11 16:32  rogan

	* build.xml: Build changes for javahelp and others

2005-04-11 15:29  rogan

	* build.xml: Update building for Javahelp

2005-04-11 15:29  rogan

	* src/org/owasp/webscarab/ui/swing/UIFramework.java: Fix the
	  helpset loading

2005-04-11 14:59  rogan

	* installer/izpack.xml: Change to using the full javahelp jar

2005-04-11 14:56  rogan

	* lib/jhbasic-2.0_02.jar: [no log message]

2005-04-11 14:55  rogan

	* lib/jhall-2.0_02.jar: Needed for search functionality

2005-04-11 14:31  rogan

	* doc/userguide/swing.xml: Significant updates to the userguide.
	  Now even includes (an) image

2005-04-11 14:27  rogan

	* doc/userguide/: toc.html, installing.html, requirements.html,
	  session.html, starting.html: [no log message]

2005-04-11 14:24  rogan

	* doc/userguide/: proxies.png, about.html, file.html, index.html:
	  [no log message]

2005-04-11 12:27  rogan

	* doc/userguide/swing.xml: Initial documentation of the WebScarab
	  Swing interface

2005-04-11 10:12  rogan

	* src/org/owasp/webscarab/plugin/fuzz/FuzzerModel.java: Incoherent
	  ramblings on how the fuzzer should work

2005-04-11 10:12  rogan

	* src/org/owasp/webscarab/ui/swing/UIFramework.java: Make sure that
	  the plugins are stopped, regardless of whether the model has been
	  modified

2005-04-11 10:11  rogan

	* src/org/owasp/webscarab/ui/swing/: HeaderPanel.form,
	  HeaderPanel.java: Minor layout changes

2005-04-11 10:10  rogan

	* src/org/owasp/webscarab/ui/swing/: CookieJarViewer.form,
	  CookieJarViewer.java: Add support for adding a new cookie

2005-04-11 10:09  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: Compare the
	  entire URL, including parameters when evaluating the forbiden
	  paths

2005-04-11 10:09  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ManualEditFrame.java:
	  Make the accept button the default button

2005-04-11 10:08  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  Make sure that the busy status is updated if we get an exception
	  when making the request

2005-04-08 15:34  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: Make the internal frame selected when the
	  button is pushed

2005-04-07 10:18  rogan

	* src/org/owasp/webscarab/plugin/spider/: Spider.java,
	  SpiderModel.java, swing/SpiderPanel.form, swing/SpiderPanel.java:
	  Adds support for setting additional headers when spidering a site

2005-04-07 10:00  rogan

	* src/org/owasp/webscarab/ui/swing/ContentPanel.java: Make editor
	  panel creation ThreadSafe/Swing safe

2005-04-07 09:58  rogan

	* src/org/owasp/webscarab/ui/swing/: MessagePanel.form,
	  MessagePanel.java: Use the new HeaderPanel class

2005-04-07 09:58  rogan

	* src/org/owasp/webscarab/ui/swing/: HeaderPanel.form,
	  HeaderPanel.java: Break Header table out into a new Panel

2005-04-05 14:37  rogan

	*
	  src/org/owasp/webscarab/util/swing/MultiLineTreeCellRenderer.java:
	  removed deprecated method

2005-04-05 13:41  rogan

	* installer/izpack.xml: Install additonal library jars

2005-04-05 13:40  rogan

	* build.xml: update to include extra library jars

2005-04-05 13:37  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: Change tabbed pane to an Internal Desktop, with
	  resizable internal frames

2005-04-05 13:37  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: Re-arrange plugin
	  load order

2005-04-05 13:30  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Remove
	  this handler in case we get a chained exception coming over and
	  over again

2005-04-05 13:29  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationListModel.java: Some
	  enhancements to support overriding in the future

2005-04-05 13:25  rogan

	* src/org/owasp/webscarab/plugin/sessionid/:
	  SessionIDAnalysis.java, swing/SessionIDPanel.java: Improve
	  SessionID sampling. Now we can sample from the Message body as
	  well as from Cookies Additionally, we can use a regex to limit
	  the sample

2005-04-05 13:24  rogan

	*
	  src/org/owasp/webscarab/plugin/manualrequest/swing/ManualRequestPanel.java:
	  Perform some additional "null" checking

2005-04-05 13:23  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  Fix null pointer exception when getting or setting shared cookies

2005-04-05 13:21  rogan

	* src/org/owasp/webscarab/plugin/fragments/: Fragments.java,
	  swing/FragmentsPanel.form, swing/FragmentsPanel.java: Added a
	  conversation table to show where the fragments were seen

2005-04-05 13:20  rogan

	* src/org/owasp/webscarab/model/: SiteModelAdapter.java,
	  SiteModelEvent.java, SiteModelListener.java: Groundwork for
	  improved event handling

2005-04-05 13:19  rogan

	* src/org/owasp/webscarab/model/: DefaultSiteModel.java,
	  FileSystemStore.java, FilteredSiteModel.java, SiteModel.java,
	  SiteModelStore.java: Updated to return a boolean based on whether
	  anything changed

2005-04-05 13:18  rogan

	* src/org/owasp/webscarab/model/Cookie.java: fixed trimming of the
	  cookie path name

2005-04-05 13:17  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationListTableModel.java:
	  Presents a simple Conversation Table Model, based on a ListModel
	  containing ConversationID's

2005-04-05 13:14  rogan

	* src/org/owasp/webscarab/ui/swing/editors/EditorFactory.java: Add
	  references to the XMLPanel

2005-04-05 13:13  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: XMLPanel.form,
	  XMLPanel.java: A viewer for XML data

2005-04-05 13:11  rogan

	* src/org/owasp/webscarab/util/swing/DOMTreeModel.java: Maps an XML
	  DOM to a Swing TreeModel

2005-04-05 13:07  rogan

	* src/org/owasp/webscarab/util/DOMHandler.java: Accepts SAX events,
	  and creates a DOM based on them

2005-04-05 13:05  rogan

	* lib/tagsoup-1.0rc2.jar: An HTML SAX parser

2005-04-05 13:05  rogan

	*
	  src/org/owasp/webscarab/util/swing/MultiLineTreeCellRenderer.java:
	  A MultiLine TreeCell Renderer

2005-04-01 15:27  rogan

	* src/org/owasp/webscarab/ui/swing/editors/HTMLPanel.java: Initial
	  attempt to support alternate language encodings

2005-04-01 13:03  rogan

	* lib/chardet.jar: support for automatic character set detection

2005-04-01 12:22  rogan

	* src/org/owasp/webscarab/ui/swing/: TranscoderFrame.form,
	  TranscoderFrame.java: Tried to improve the "Out of memory"
	  situation that occurred if there were too many undo items. Now we
	  limit the history to 10 edits. It is still possible to get out of
	  memory but it should be less likely. Unfortunately, due to the
	  nature of the error, I haven't been able to track down the exact
	  location of the error. I can't event print a stack trace of the
	  exception when it occurs.

2005-04-01 11:00  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Changed
	  error reporting so that the error messages can be selected and
	  copied, and long stack traces remain on screen.

2005-04-01 10:59  rogan

	* src/org/owasp/webscarab/plugin/scripted/swing/ScriptedPanel.java:
	  Changed erroreporting mechanism so that wide exceptions fit onto
	  the screen

2005-03-25 00:15  rogan

	* src/org/owasp/webscarab/plugin/proxy/NetworkSimulator.java:
	  Implements latency a bit better

2005-03-24 09:12  rogan

	* src/org/owasp/webscarab/plugin/fuzz/: Fuzzer.java,
	  FuzzerEvent.java, FuzzerListener.java, FuzzerModel.java,
	  swing/FuzzerPanel.form, swing/FuzzerPanel.java: Assorted updates
	  to the fuzzer

2005-03-24 09:11  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: Better handling of
	  initial parameters. Actually make the Fuzzer plugin visible

2005-03-24 09:08  rogan

	* src/org/owasp/webscarab/plugin/spider/: Spider.java,
	  SpiderModel.java: Slight improvements on how URL's that require
	  authentication are handled. At least we do not mark them as being
	  fetched.

2005-03-24 09:04  rogan

	* src/org/owasp/webscarab/plugin/sessionid/:
	  SessionIDAnalysis.java, swing/SessionIDPanel.form,
	  swing/SessionIDPanel.java: Properly support setting a session.
	  Previously an empty setSession() call was being handled, because
	  we had the wrong prototype! Doh! Support getting sessionids from
	  the content of a message. Now we can define a regular expression
	  that delimits the sessionid. You must provide a name for the
	  sessionid, though, since it cannot be automatically constructed
	  like we do for a cookie.

2005-03-24 08:51  rogan

	* src/org/owasp/webscarab/plugin/proxy/NTLMFilter.java: Handle NTLM
	  headers better. This should actually work!

2005-03-24 08:49  rogan

	* src/org/owasp/webscarab/model/Cookie.java: Handle unknown
	  attributes better. Warn, rather than throwing an exception

2005-03-24 08:48  rogan

	* build.xml: Do not allow ProGuard to optimise away unused
	  WebScarab methods

2005-03-11 18:58  rogan

	* src/org/owasp/webscarab/: model/SiteModel.java,
	  model/SiteModelAdapter.java, model/DefaultSiteModel.java,
	  model/FilteredSiteModel.java, model/SiteModelEvent.java,
	  model/SiteModelListener.java, plugin/Framework.java,
	  plugin/fragments/swing/FragmentsPanel.java,
	  plugin/fuzz/swing/FuzzerPanel.form,
	  plugin/fuzz/swing/FuzzerPanel.java, plugin/spider/Spider.java,
	  plugin/spider/SpiderModel.java,
	  plugin/spider/swing/SpiderPanel.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.java, ui/swing/Main.java,
	  ui/swing/SiteTreeModelAdapter.java, ui/swing/SummaryPanel.java,
	  plugin/fuzz/Fuzzer.java, plugin/fuzz/FuzzerEvent.java,
	  plugin/fuzz/FuzzerListener.java, plugin/fuzz/FuzzerModel.java,
	  plugin/fuzz/Parameter.java, plugin/fuzz/RequestFuzzer.java,
	  plugin/fuzz/Signature.java: MAJOR refactorin of the models.
	  SiteModel is now an interface, implemented by DefaultSiteModel
	  (the old SiteModel) and FilteredSiteModel (designed for things
	  like the Spider where we don't show the entire view), or
	  FuzzerModel (which doesn't show the queries)

	  Spider's model has been factored out of the Spider.java class,
	  and is now standalone Fuzzer (the beginnings of Fuzzer support)
	  also has a proper model.  I plan to factor out the model from
	  SessionID and Fragments eventually, too.

	  Model events are now a proper event class, rather than multiple
	  parameters.

2005-03-11 18:54  rogan

	* src/org/owasp/webscarab/ui/swing/TranscoderFrame.java: Made more
	  flexible in terms of encoding the selection, rather than the
	  entire text.	Improved exception handling in some cases

2005-03-11 18:50  rogan

	* src/org/owasp/webscarab/plugin/fragments/Fragments.java: removed
	  unused import

2005-03-11 18:47  rogan

	* src/org/owasp/webscarab/httpclient/AsyncFetcher.java: Added some
	  warning messages

2005-03-11 18:40  rogan

	* src/org/owasp/webscarab/plugin/sessionid/SessionIDAnalysis.java:
	  Make handling responses from the AsyncFetcher more efficient

2005-03-11 18:38  rogan

	* src/org/owasp/webscarab/plugin/scripted/ScriptedObjectModel.java:
	  Make more of the sitemodel methods available in the script

2005-03-11 18:37  rogan

	* src/org/owasp/webscarab/util/Encoding.java: Made some of the
	  error messages more meaningful

2005-03-11 18:36  rogan

	* src/org/owasp/webscarab/util/TempDir.java: Added a recursive
	  delete temp dir function

2005-03-11 18:35  rogan

	* src/org/owasp/webscarab/model/SiteModelStore.java: Added
	  interface methods for getIndexOfXXX()

2005-03-11 18:33  rogan

	* src/org/owasp/webscarab/model/FileSystemStore.java: fixed some
	  errors in url and query management. Added a getIndexOfUrl method

2005-03-11 18:30  rogan

	* src/org/owasp/webscarab/model/NamedValue.java: added a static
	  function to split a string into an array of NamedValues

2005-02-23 23:45  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  util/Glob.java: Fixed handling of HEAD method Fixed handling of
	  IE style globs in noProxy

2005-02-23 10:41  rogan

	* build.xml: [no log message]

2005-02-22 23:12  rogan

	* src/org/owasp/webscarab/: Class.tpl, RELEASE: Deleting unused
	  files

2005-02-22 22:52  rogan

	* installer/: izpack.xml, shortcutSpec.xml: Support shortcuts on
	  Unix, too

2005-02-22 21:00  rogan

	* src/org/owasp/webscarab/util/W32WinInet.java: Interface to the
	  Windows WinInet native library

2005-02-22 20:59  rogan

	* src/org/owasp/webscarab/ui/swing/: ProxyConfig.java,
	  ProxyConfig.form: Add support for getting the WinInet proxy
	  settings and copying them into the current settings

2005-02-22 20:57  rogan

	* src/org/owasp/webscarab/plugin/proxy/:
	  swing/ManualEditPanel.java, ManualEdit.java: Minor method name
	  changes to be more "bean-like"

2005-02-22 20:40  rogan

	* src/org/owasp/webscarab/plugin/proxy/: Listener.java, Proxy.java,
	  swing/ListenerTableModel.java, swing/ProxyPanel.form,
	  swing/ProxyPanel.java: Introduce the concept of a "primary"
	  listener. For most people, the only listener should be the
	  primary. This is only interesting when running WebScarab under
	  Windows, as it enables us to automatically substitute the proxy
	  settings in Internet Explorer, to point them to the primary
	  listener, and to set them back when the listener is stopped. This
	  is not 100% reliable yet, so bug reports and investigations are
	  appreciated.	this also updates the GUI to make it possible to
	  set and unset the "primary" flag.

2005-02-22 20:34  rogan

	* lib/W32WinInet.dll: Compiled WinInet JNI interface library.
	  Should be placed in the java.library.path, or in the same
	  directory as the webscarab JAR

2005-02-22 20:31  rogan

	* src/org/owasp/webscarab/util/W32WinInet.c: JNI interface to the
	  WinInet native library

2005-02-22 20:24  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: Improve
	  support for "no proxy" configuration. We follow Microsoft
	  conventions, where <local> implies that we skip the proxy for all
	  non-FQDN hostnames. We now also match regular expressions in the
	  no proxy strings.

2005-02-17 11:52  rogan

	* installer/izpack.xml: fixed the name of the JavaHelp jar

2005-02-17 11:49  rogan

	* build.xml: Minor build changes

2005-02-17 11:27  rogan

	* INSTALL: [no log message]

2005-02-17 10:52  rogan

	* installer/izpack.xml: Include the javahelp jar

2005-02-17 10:20  rogan

	* lib/jhbasic-2.0_02.jar: JavaHelp support library

2005-02-17 10:16  rogan

	* src/org/owasp/webscarab/ui/swing/editors/TextPanel.java: Added
	  support for manually changing text/word wrap settings, with
	  Ctrl-W

2005-02-17 10:12  rogan

	* src/org/owasp/webscarab/ui/swing/: Main.java, UIFramework.java:
	  Moved initialisation of the graphical exception handling to the
	  ui.Main class

2005-02-17 10:07  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: load the graphical exception handler class

2005-02-17 10:06  rogan

	* src/org/owasp/webscarab/ui/swing/: ScriptManagerFrame.form,
	  ScriptManagerFrame.java: Provides a graphical interface to the
	  Script manager. Initial checkin

2005-02-17 10:05  rogan

	* src/org/owasp/webscarab/ui/swing/ExceptionHandler.java: Class to
	  support showing unhandled exceptions in a graphical manner

2005-02-17 10:03  rogan

	* src/org/owasp/webscarab/plugin/scripted/: Scripted.java,
	  ScriptedObjectModel.java, ScriptedUI.java, script.bsh,
	  swing/ScriptedPanel.form, swing/ScriptedPanel.java: Changes to
	  support loading and saving of scripts

2005-02-17 10:01  rogan

	* build.xml: Minor changes to enhance the build process

2005-02-04 19:19  rogan

	* build.xml, installer/izpack.xml, installer/shortcutSpec.xml: Just
	  updating the IzPack installer options

2005-02-04 18:25  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/:
	  ManualEditFrame.form, ManualEditFrame.java: Add a "Cancel all
	  edits" button, for when we have multiple intercepted windows
	  open.  Selecting this button effectively closes all the pending
	  edits.

2005-02-04 18:23  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java: Fix
	  a null pointer exception if we abort a request

2005-02-04 17:50  rogan

	* src/org/owasp/webscarab/plugin/proxy/Proxy.java: Added support
	  for intercepting requests and responses too

2005-02-04 17:37  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: support for viewing the Script Manager

2005-02-04 17:36  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ManualEditPanel.java:
	  Some artifacts caused by the form editor. No real changes.

2005-02-04 17:35  rogan

	* src/org/owasp/webscarab/plugin/scripted/swing/ScriptedPanel.java:
	  Removed unused methods

2005-02-04 17:14  rogan

	* build.xml: reworked some of the targets, and initialisation
	  scripts.  Added a "javadoc" target, for what it is worth.  Lots
	  of documentation errors appear, will have to go through them and
	  fix them eventually.

2005-02-04 17:12  rogan

	* src/org/owasp/webscarab/plugin/: Framework.java, Plugin.java,
	  spider/Spider.java, scripted/Scripted.java,
	  sessionid/SessionIDAnalysis.java, fragments/Fragments.java,
	  manualrequest/ManualRequest.java, proxy/ConnectionHandler.java,
	  proxy/Listener.java, proxy/Proxy.java: Changed Plugin from a
	  class to an interface, and changed the various plugins to match
	  (mostly just implementing isRunning()! )

	  Added support for scripting to Plugin, and extended the various
	  classes to match. Most simply return null or an empty array of
	  Scriptable hooks. At this point, only Proxy.allowConnection is
	  implemented.

	  Added support for scripting to Framework to create and manage the
	  script manager.

2005-02-04 17:08  rogan

	* src/org/owasp/webscarab/plugin/proxy/ScriptableConnection.java:
	  Represents a connection from a browser, which can be controlled
	  by the script framework

2005-02-04 17:04  rogan

	* src/org/owasp/webscarab/plugin/: Hook.java, Script.java,
	  ScriptListener.java, ScriptManager.java: Basics for scripting
	  support

2005-02-04 16:24  rogan

	*
	  src/org/owasp/webscarab/util/swing/treetable/TreeTableModelAdapter.java:
	  Correctly calculates the rows that have changed, based on the
	  child nodes

2005-02-02 19:52  rogan

	* src/org/owasp/webscarab/model/FileSystemStore.java: fixed due to
	  changes in ConversationID

2005-02-02 19:51  rogan

	* src/org/owasp/webscarab/model/ConversationID.java: Support new
	  Conversation ID from an int

2005-02-02 19:50  rogan

	* src/org/owasp/webscarab/plugin/scripted/: Scripted.java,
	  ScriptedObjectModel.java, ScriptedUI.java, script.bsh,
	  swing/ScriptedPanel.form, swing/ScriptedPanel.java: Reworked
	  scripting around an "object model"

2005-02-02 16:34  rogan

	* src/org/owasp/webscarab/: plugin/proxy/CookieTracker.java,
	  ui/swing/Main.java: Fix stupid null pointer exception

2005-02-02 16:23  rogan

	* doc/new.webscarab.zargo: Obsolete file

2005-02-02 16:22  rogan

	* doc/architecture.html: [no log message]

2005-02-02 16:19  rogan

	* doc/userguide/: about.html, installing.html, requirements.html,
	  session.html, starting.html, using.html: Some minor changes

2005-01-22 23:41  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ManualEdit.java,
	  swing/ManualEditPanel.form, swing/ManualEditPanel.java: Add
	  support for case sensitive regular expressions in the Manual Edit
	  proxy intercept

2005-01-05 13:36  rogan

	* build.xml: added build target descriptions, some support for the
	  Scripted plugin default script

2005-01-05 13:34  rogan

	* src/org/owasp/webscarab/util/swing/: DocumentHandler.java,
	  DocumentOutputStream.java: size limit the Documents

2005-01-05 13:33  rogan

	* src/org/owasp/webscarab/ui/swing/editors/TextPanel.java:
	  implement a text wrap preference

2005-01-05 13:33  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: added View menu, removed conversation search
	  menu, updated session handling, limit the log window size

2005-01-05 13:31  rogan

	* src/org/owasp/webscarab/ui/swing/ShowConversationAction.java:
	  updated session handling

2005-01-05 13:31  rogan

	* src/org/owasp/webscarab/ui/swing/RequestPanel.java: improve error
	  handling when parsing Raw requests

2005-01-05 13:30  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: load new Scripted
	  plugin, tweak session handling

2005-01-05 13:29  rogan

	* src/org/owasp/webscarab/plugin/scripted/: Scripted.java,
	  ScriptedUI.java, script.bsh, swing/ScriptedPanel.form,
	  swing/ScriptedPanel.java: new scripted plugin

2005-01-05 13:27  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: tweaking
	  some settings

2005-01-05 13:24  rogan

	* src/org/owasp/webscarab/:
	  plugin/sessionid/swing/SessionIDPanel.java,
	  plugin/spider/swing/SpiderPanel.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.java,
	  ui/swing/SiteTreeModelAdapter.java,
	  ui/swing/SiteTreeTableModelAdapter.java,
	  ui/swing/SummaryPanel.java: updated session handling

2005-01-05 13:22  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/: ProxyPanel.form,
	  ProxyPanel.java: updated session handling, implemented the
	  Conversation status table

2005-01-05 13:21  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/:
	  ManualEditPanel.form, ManualEditPanel.java: removed unused
	  fields, implemented response mime-type regex

2005-01-05 13:20  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/: BeanShellPanel.form,
	  BeanShellPanel.java: removed unused fields

2005-01-05 13:18  rogan

	* src/org/owasp/webscarab/plugin/proxy/: Proxy.java,
	  ProxyPlugin.java: Updated session handling

2005-01-05 13:18  rogan

	* src/org/owasp/webscarab/plugin/proxy/ManualEdit.java: Implemented
	  response mime-type regex matching

2005-01-05 13:17  rogan

	* src/org/owasp/webscarab/plugin/proxy/BeanShell.java: Improved
	  error handling

2005-01-05 13:14  rogan

	*
	  src/org/owasp/webscarab/plugin/fragments/swing/FragmentsPanel.java:
	  Updated session handling code, and adding and removing of
	  listeners

2005-01-05 13:13  rogan

	* src/org/owasp/webscarab/plugin/: fragments/Fragments.java,
	  manualrequest/ManualRequest.java,
	  manualrequest/swing/ManualRequestPanel.java: Updated session
	  handling

2005-01-05 13:13  rogan

	* src/org/owasp/webscarab/plugin/PluginUI.java: Removed
	  setModel(SiteModel) from the interface

2005-01-05 13:12  rogan

	* src/org/owasp/webscarab/plugin/Plugin.java: Changed the session
	  handling interface

2005-01-05 13:11  rogan

	* src/org/owasp/webscarab/plugin/FrameworkUI.java: removed the
	  notification that the model had changed, the model now makes that
	  announcement

2005-01-05 13:10  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: Changed how
	  sessions are loaded

2005-01-05 13:09  rogan

	* src/org/owasp/webscarab/: httpclient/AsyncFetcher.java,
	  plugin/spider/Spider.java,
	  plugin/sessionid/SessionIDAnalysis.java: Changed AsyncFetcher to
	  be a more capable helper class

2005-01-05 13:07  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: SiteModel now
	  supports a changing store

2005-01-05 13:06  rogan

	* src/org/owasp/webscarab/model/Message.java: fix a nullpointer
	  exception

2004-12-27 12:53  rogan

	* src/org/owasp/webscarab/ui/swing/: MessagePanel.form,
	  MessagePanel.java: Added support for remembering the preferred
	  split position between headers and content

2004-12-27 12:53  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: Added
	  support for remembering the preferred split position between
	  Request and Response

2004-12-27 12:52  rogan

	* src/org/owasp/webscarab/ui/swing/ContentPanel.java: added support
	  for remembering the preferred content viewer/editor

2004-12-26 21:06  rogan

	* src/org/owasp/webscarab/: model/SiteModel.java,
	  model/SiteModelAdapter.java, model/SiteModelListener.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/SiteTreeModelAdapter.java: added a dataChanged event to
	  the SiteModel, and implemented listeners for the event. This will
	  be used to support a single instance of SiteModel, with the
	  underlying Store changing

2004-12-26 21:05  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: removed
	  unnecessary site model listener

2004-12-26 19:57  rogan

	* src/org/owasp/webscarab/ui/swing/: Main.java, UIFramework.java:
	  Create a temporary session, that is deleted on exit.

2004-12-26 19:55  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: remove unused
	  exit() method

2004-12-26 19:53  rogan

	* src/org/owasp/webscarab/util/TempDir.java: creates a temporary
	  directory

2004-12-26 18:52  rogan

	* src/org/owasp/webscarab/ui/swing/SessionLoader.java: removed
	  unused class

2004-12-26 17:36  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ManualEditFrame.java:
	  make editing the response Swing thread safe

2004-12-26 17:25  rogan

	* build.xml: minor updates

2004-12-26 17:25  rogan

	* src/org/owasp/webscarab/plugin/sessionid/CustomCalculator.java:
	  example of a custom calculator. still need supporting code to
	  allow choosing

2004-12-26 17:18  rogan

	*
	  src/org/owasp/webscarab/util/ReentrantReaderPreferenceReadWriteLock.java:
	  remove debugging code

2004-12-26 17:17  rogan

	* src/org/owasp/webscarab/util/Encoding.java: include url
	  {en,de}code routines

2004-12-26 17:15  rogan

	* src/org/owasp/webscarab/plugin/:
	  proxy/swing/ManualEditFrame.java,
	  sessionid/swing/SessionIDPanel.java: updated to reflect changes
	  in Request and Response Panels

2004-12-26 17:14  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  handle tracking of outstanding requests better, when exceptions
	  occur

2004-12-26 17:12  rogan

	* src/org/owasp/webscarab/plugin/proxy/: BeanShell.java,
	  CookieTracker.java, ManualEdit.java, NTLMFilter.java: minor
	  changes

2004-12-26 17:11  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/swing/:
	  ManualRequestPanel.form, ManualRequestPanel.java: updated to
	  reflect changes in Request and Response panels

2004-12-26 17:10  rogan

	*
	  src/org/owasp/webscarab/plugin/fragments/swing/FragmentsPanel.java:
	  remove debugging code

2004-12-26 17:09  rogan

	* src/org/owasp/webscarab/ui/swing/Main.java: updated to reflect
	  changes in framework/plugin interfaces

2004-12-26 17:08  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: updated
	  to reflect changes in Request and Response Panels. Supports
	  external calls to show conversations supplied on stdin

2004-12-26 17:06  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: ByteArrayEditor.java,
	  HTMLPanel.java, HexPanel.java, ImagePanel.java,
	  SerializedObjectPanel.java, TextPanel.java, UrlEncodedPanel.form,
	  UrlEncodedPanel.java, XMLPanel.java: updated to use new
	  content-type parameter

2004-12-26 17:05  rogan

	* src/org/owasp/webscarab/ui/swing/editors/EditorWrapper.java:
	  remove unused EditorWrapper class

2004-12-26 17:05  rogan

	* src/org/owasp/webscarab/ui/swing/editors/EditorFactory.java:
	  remove reference to unused editor

2004-12-26 17:03  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: MultiPartPanel.form,
	  MultiPartPanel.java: provides an editor for Multi-part content

2004-12-26 16:57  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: remove annoying tooltip

2004-12-26 16:56  rogan

	* src/org/owasp/webscarab/ui/swing/: RequestPanel.java,
	  ResponsePanel.java: change method of setting editable. Make
	  usable outside of WebScarab framework, by reading in messages
	  from commandline or stdin

2004-12-26 16:55  rogan

	* src/org/owasp/webscarab/ui/swing/: MessagePanel.form,
	  MessagePanel.java: use NamedValues when editing the Messages.
	  Improve support for Multi-part messages

2004-12-26 16:53  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationRenderer.java:
	  reduce the width of the label

2004-12-26 16:52  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.java,
	  editors/EditorFactory.java: use an EditorFactory to create the
	  content editors, and remove the configuration code into the
	  EditorFactory

2004-12-26 16:41  rogan

	* src/org/owasp/webscarab/plugin/: fragments/Fragments.java,
	  manualrequest/ManualRequest.java, proxy/Proxy.java,
	  sessionid/SessionIDAnalysis.java, spider/Spider.java: updated to
	  use the new analysis features

2004-12-26 16:38  rogan

	* src/org/owasp/webscarab/plugin/fragments/FileSystemStore.java:
	  remove debugging code

2004-12-26 16:37  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: grab the readlock
	  only, rather than the write lock

2004-12-26 16:33  rogan

	* src/org/owasp/webscarab/model/: Request.java, Response.java:
	  update access permissions after Message was updated

2004-12-26 16:08  rogan

	* src/org/owasp/webscarab/model/: Message.java, NamedValue.java:
	  create a NamedValue primitive, and change Message to use it where
	  necessary

2004-12-26 16:07  rogan

	* src/org/owasp/webscarab/plugin/: Framework.java, Plugin.java:
	  update processing for framework to call the various plugins,
	  rather than as listeners on the SiteModel. Also improve startup
	  and shutdown processes

2004-12-26 16:01  rogan

	* src/org/owasp/webscarab/model/MultiPartContent.java: add support
	  for parsing Multi-part messages

2004-12-16 12:48  rogan

	* build.xml: some cleanups

2004-12-16 12:45  rogan

	* build.xml, webscarab.pro: moved proguard configuration into the
	  build file

2004-12-15 14:30  rogan

	* build.xml, webscarab.pro: removed some hard-coded paths from the
	  proguard configuration file. Now the only hardcoded path is the
	  location of the servlet.jar

2004-12-15 14:11  rogan

	* webscarab.pro: removed absolute paths where possible

2004-12-15 14:09  rogan

	* lib/bsf-2.3.0.jar: might be used later, rather than defaulting to
	  BeanShell

2004-12-15 13:58  rogan

	* webscarab.pro: include servlet.jar as a library file

2004-12-15 13:42  rogan

	* src/org/owasp/webscarab/: httpclient/AsyncFetcher.java,
	  httpclient/ChunkedInputStream.java,
	  httpclient/ChunkedOutputStream.java,
	  httpclient/FixedLengthInputStream.java,
	  httpclient/HTTPClient.java, httpclient/HTTPClientFactory.java,
	  httpclient/URLFetcher.java, model/ConversationID.java,
	  model/Cookie.java, model/FileSystemStore.java,
	  model/HttpUrl.java, model/Message.java, model/Preferences.java,
	  model/Request.java, model/Response.java, model/SiteModel.java,
	  model/SiteModelAdapter.java, model/SiteModelListener.java,
	  model/SiteModelStore.java, model/StoreException.java,
	  parser/ContentParser.java, parser/HTMLParser.java,
	  parser/Parser.java, plugin/Framework.java,
	  plugin/FrameworkUI.java, plugin/Plugin.java,
	  plugin/PluginUI.java, plugin/fragments/FileSystemStore.java,
	  plugin/fragments/Fragments.java,
	  plugin/fragments/FragmentsStore.java,
	  plugin/fragments/FragmentsUI.java,
	  plugin/fragments/swing/FragmentsFrame.java,
	  plugin/fragments/swing/FragmentsPanel.java,
	  plugin/fuzz/swing/FuzzerPanel.java,
	  plugin/manualrequest/ManualRequest.java,
	  plugin/manualrequest/ManualRequestUI.java,
	  plugin/manualrequest/swing/ManualRequestPanel.java,
	  plugin/proxy/BeanShell.java, plugin/proxy/BeanShellUI.java,
	  plugin/proxy/BrowserCache.java,
	  plugin/proxy/ConnectionHandler.java,
	  plugin/proxy/CookieTracker.java, plugin/proxy/Listener.java,
	  plugin/proxy/ManualEdit.java, plugin/proxy/ManualEditUI.java,
	  plugin/proxy/NTLMFilter.java, plugin/proxy/NetworkSimulator.java,
	  plugin/proxy/Proxy.java, plugin/proxy/ProxyPlugin.java,
	  plugin/proxy/ProxyUI.java, plugin/proxy/RevealHidden.java,
	  plugin/proxy/swing/BeanShellPanel.java,
	  plugin/proxy/swing/ListenerTableModel.java,
	  plugin/proxy/swing/ManualEditFrame.java,
	  plugin/proxy/swing/ManualEditPanel.java,
	  plugin/proxy/swing/MiscPanel.java,
	  plugin/proxy/swing/ProxyPanel.java,
	  plugin/sessionid/Calculator.java,
	  plugin/sessionid/DefaultCalculator.java,
	  plugin/sessionid/FileSystemStore.java,
	  plugin/sessionid/SessionID.java,
	  plugin/sessionid/SessionIDAnalysis.java,
	  plugin/sessionid/SessionIDAnalysisUI.java,
	  plugin/sessionid/SessionIDStore.java,
	  plugin/sessionid/swing/BigRenderer.java,
	  plugin/sessionid/swing/SessionIDListener.java,
	  plugin/sessionid/swing/SessionIDPanel.java,
	  plugin/spider/Link.java, plugin/spider/Spider.java,
	  plugin/spider/SpiderStore.java, plugin/spider/SpiderUI.java,
	  plugin/spider/swing/SpiderPanel.java,
	  ui/swing/CertificateDialog.java, ui/swing/ContentPanel.java,
	  ui/swing/ConversationListModel.java,
	  ui/swing/ConversationPanel.java,
	  ui/swing/ConversationRenderer.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.java, ui/swing/FrameCache.java,
	  ui/swing/Main.java, ui/swing/MessagePanel.java,
	  ui/swing/ProxyConfig.java, ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.java, ui/swing/SessionLoader.java,
	  ui/swing/ShowConversationAction.java,
	  ui/swing/SiteTreeModelAdapter.java,
	  ui/swing/SiteTreeTableModelAdapter.java,
	  ui/swing/SummaryPanel.java, ui/swing/SwingPluginUI.java,
	  ui/swing/TranscoderFrame.java, ui/swing/UIFramework.java,
	  ui/swing/UrlTreeRenderer.java,
	  ui/swing/editors/ByteArrayEditor.java,
	  ui/swing/editors/EditorWrapper.java,
	  ui/swing/editors/HTMLPanel.java, ui/swing/editors/HexPanel.java,
	  ui/swing/editors/ImagePanel.java,
	  ui/swing/editors/MyHTMLEditorKit.java,
	  ui/swing/editors/ObjectPanel.java,
	  ui/swing/editors/SearchDialog.java,
	  ui/swing/editors/SerializedObjectPanel.java,
	  ui/swing/editors/TextPanel.java,
	  ui/swing/editors/UrlEncodedPanel.java,
	  ui/swing/editors/XMLPanel.java, util/Encoding.java,
	  util/LogInputStream.java, util/LogOutputStream.java,
	  util/MRUCache.java,
	  util/ReentrantReaderPreferenceReadWriteLock.java,
	  util/TextFormatter.java, util/swing/ColumnDataEvent.java,
	  util/swing/ColumnDataListener.java,
	  util/swing/ColumnDataModel.java, util/swing/DocumentHandler.java,
	  util/swing/DocumentOutputStream.java,
	  util/swing/ExtensibleTableModel.java,
	  util/swing/ListComboBoxModel.java,
	  util/swing/MultiLineCellRenderer.java,
	  util/swing/treetable/AbstractTreeTableModel.java,
	  util/swing/treetable/DefaultTreeTableModel.java: Add license
	  details to source files

2004-12-15 13:27  rogan

	* src/org/owasp/webscarab/ui/swing/CertificateDialog.java: handle
	  case where we do not successfully load the cert. We must decide
	  whether to restart the plugins or not

2004-12-15 13:20  rogan

	* src/org/owasp/webscarab/util/ConversationCriteria.java: Unused
	  classes

2004-12-15 13:17  rogan

	* src/org/owasp/webscarab/: ui/swing/ConversationSearchFrame.form,
	  ui/swing/ConversationSearchFrame.java, util/MappedListModel.java,
	  util/NotifiableListModel.java: Unused classes

2004-12-15 13:03  rogan

	* WebScarab.properties: defaults are hard coded in the source

2004-12-15 13:02  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.form: we
	  create this by hand, as it is simpler

2004-12-15 13:00  rogan

	* build.xml, webscarab.pro: add a proguard target, and
	  configuration file

2004-12-15 12:58  rogan

	* src/org/owasp/webscarab/ui/swing/editors/HexPanel.java: trim
	  whitespace when parsing integers

2004-12-15 12:57  rogan

	* src/org/owasp/webscarab/ui/swing/UIFramework.java: Use
	  Preferences instead of Properties, make swing threadsafe, add
	  option to force a quit if the plugins are busy

2004-12-15 12:55  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: reworked the
	  panel to support data columns provided by the various plugins

2004-12-15 12:53  rogan

	* src/org/owasp/webscarab/ui/swing/: Main.java, ProxyConfig.java:
	  Use Preferences instead of Properties

2004-12-15 12:52  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationTableModel.java,
	  SiteTreeTableModelAdapter.java: reimplement as an extensible
	  table model, with columns provided by the various plugins

2004-12-15 12:51  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: removed
	  the beanshell, provide (recompilable) support for tabbed or
	  splitpane layout of requests and responses, use Preferences
	  rather than Properties, remember the preferred size and position
	  of the frame

2004-12-15 12:47  rogan

	* src/org/owasp/webscarab/ui/swing/CertificateDialog.java: fixed
	  handling of certificate files

2004-12-15 12:34  rogan

	* src/org/owasp/webscarab/plugin/spider/swing/SpiderPanel.java:
	  implement updated SpiderUI, implement (null) ColumnModels, make
	  Swing Threadsafe

2004-12-15 12:32  rogan

	* src/org/owasp/webscarab/plugin/spider/SpiderUI.java: provide some
	  information regarding the links that are queued

2004-12-15 12:31  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: Use
	  Preferences instead of Properties, use new HTMLParser, bring
	  analyser back into the notification thread.

2004-12-15 12:29  rogan

	*
	  src/org/owasp/webscarab/plugin/sessionid/swing/SessionIDPanel.java:
	  Make Swing Thread safe, add ColumnModels

2004-12-15 12:26  rogan

	* src/org/owasp/webscarab/plugin/: proxy/BeanShell.java,
	  proxy/BrowserCache.java, proxy/CookieTracker.java,
	  proxy/ManualEdit.java, proxy/NTLMFilter.java,
	  proxy/RevealHidden.java, sessionid/SessionIDAnalysis.java: Use
	  Preferences instead of Properties

2004-12-15 12:24  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/: BeanShellPanel.java,
	  ManualEditPanel.java, MiscPanel.java: using new ProxyPluginUI,
	  reduces empty methods

2004-12-15 12:22  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ProxyPanel.java:
	  updated to use the new ProxyPluginUI interface

2004-12-15 12:22  rogan

	* src/org/owasp/webscarab/plugin/proxy/swing/ProxyPluginUI.java:
	  the interface required by Swing Proxy plugins

2004-12-15 12:05  rogan

	* src/org/owasp/webscarab/plugin/proxy/Proxy.java: use Preferences,
	  properly log modified requests

2004-12-15 12:03  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Listener.java: fixed some breakage where modified requests were
	  not properly added to the store/model

2004-12-15 11:59  rogan

	* src/org/owasp/webscarab/plugin/proxy/ProxyPlugin.java: proxy
	  plugins should also use Preferences

2004-12-15 11:59  rogan

	*
	  src/org/owasp/webscarab/plugin/manualrequest/swing/ManualRequestPanel.java:
	  we don't need to provide any columns for the summary panel

2004-12-15 11:57  rogan

	* src/org/owasp/webscarab/ui/swing/SwingPluginUI.java: Swing
	  Plugins can also provide columns which will be shown in the
	  summary panel

2004-12-15 11:53  rogan

	* src/org/owasp/webscarab/plugin/: Plugin.java,
	  manualrequest/ManualRequest.java: Plugins no longer get a
	  Properties object to work with. They should use Preferences
	  instead

2004-12-15 11:52  rogan

	* src/org/owasp/webscarab/plugin/Framework.java: use the new
	  Preferences, fixed a typo where we were getting the wrong
	  certificate password from the prefs

2004-12-15 11:51  rogan

	* src/org/owasp/webscarab/parser/Parser.java: started adding
	  logging

2004-12-15 11:50  rogan

	* src/org/owasp/webscarab/parser/HTMLParser.java: updated
	  HTMLParser to use the new htmlparser libraries

2004-12-15 11:49  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: removed some
	  logging code

2004-12-15 11:49  rogan

	* src/org/owasp/webscarab/model/Preferences.java: updated
	  preferences to be a true singleton. Now provides its own methods
	  for getting properties/preferences, rather than returning a
	  Properties object

2004-12-15 11:47  rogan

	* src/org/owasp/webscarab/model/FileSystemStore.java: added a
	  carriage return at end of file

2004-12-15 11:46  rogan

	* src/org/owasp/webscarab/model/: ConversationID.java,
	  Message.java: trim any spaces when parsing numbers

2004-12-15 11:46  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedInputStream.java: trim
	  any spaces on the chunk size line

2004-12-15 11:43  rogan

	* src/org/owasp/webscarab/plugin/fragments/: FileSystemStore.java,
	  Fragments.java, FragmentsStore.java, FragmentsUI.java,
	  swing/FragmentsFrame.java, swing/FragmentsPanel.form,
	  swing/FragmentsPanel.java: reworked the user interface, as well
	  as making use of the new htmlparser

2004-12-15 11:38  rogan

	*
	  src/org/owasp/webscarab/util/ReentrantReaderPreferenceReadWriteLock.java:
	  add debugging output to the write lock

2004-12-15 11:36  rogan

	*
	  src/org/owasp/webscarab/util/swing/treetable/TreeTableModelEvent.java:
	  extends TreeModelEvent to include support for adding and removing
	  columns in the table

2004-12-15 11:34  rogan

	* src/org/owasp/webscarab/util/swing/MultiLineCellRenderer.java:
	  render multi-line strings using a JTextArea, so that we can show
	  them in a larger cell. Provides renderer interfaces for Table and
	  List

2004-12-15 11:33  rogan

	* src/org/owasp/webscarab/util/swing/: ColumnDataEvent.java,
	  ColumnDataListener.java, ColumnDataModel.java,
	  ExtensibleTableModel.java: new TableModel and Column models, so
	  that each column can be supplied by a different source, and
	  events will be propogated as required

2004-12-15 11:31  rogan

	*
	  src/org/owasp/webscarab/util/swing/treetable/TreeTableModelAdapter.java:
	  reduced the number of events fired, as it was affecting the
	  tree/table selection. Still not 100%, though

2004-12-15 11:30  rogan

	*
	  src/org/owasp/webscarab/util/swing/treetable/AbstractTreeTableModel.java:
	  Fixed a typo in a comment

2004-12-15 11:22  rogan

	* lib/htmlparser.jar: upgraded to a more recent version of
	  htmlparser

2004-11-02 16:21  rogan

	* src/org/owasp/webscarab/ui/swing/: UIFramework.form,
	  UIFramework.java: fix window behaviour when the close window
	  button was pressed

2004-11-02 16:21  rogan

	* src/org/owasp/webscarab/model/Preferences.java: don't look for a
	  default properties file

2004-11-02 16:20  rogan

	* src/org/owasp/webscarab/httpclient/: HTTPClientFactory.java,
	  URLFetcher.java: specify an initial connect timeout

2004-11-02 16:19  rogan

	* build.xml: Don't provide a default properties file

2004-11-02 11:47  rogan

	* src/org/owasp/webscarab/ui/swing/: ProxyConfig.form,
	  ProxyConfig.java: Fixed port number checking, made error
	  reporting more user friendly

2004-11-02 11:46  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  Fixed SSL intercept handling

2004-11-02 11:43  rogan

	* src/org/owasp/webscarab/: model/SiteModel.java,
	  util/ReentrantReaderPreferenceReadWriteLock.java: add debugging
	  to the model lock

2004-11-01 19:28  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: Remove
	  redundant code

2004-11-01 08:52  rogan

	* installer/izpack.xml: include concurrent.jar in install bundle

2004-10-31 23:33  rogan

	* lib/concurrent.jar: new locking utilities

2004-10-31 23:31  rogan

	* WebScarab.properties, build.xml, installer/izpack.xml,
	  lib/README, lib/junit-clean.jar, lib/owasp.jar, lib/vulnxml.jar:
	  New files, or files moved from other locations

2004-10-31 23:10  rogan

	* src/org/owasp/webscarab/: httpclient/AsyncFetcher.java,
	  httpclient/FixedLengthInputStream.java,
	  httpclient/HTTPClientFactory.java, httpclient/URLFetcher.java,
	  model/ConversationID.java, model/Cookie.java,
	  model/FileSystemStore.java, model/HttpUrl.java,
	  model/Message.java, model/Request.java, model/Response.java,
	  model/SiteModel.java, model/SiteModelAdapter.java,
	  model/SiteModelListener.java, model/SiteModelStore.java,
	  parser/ContentParser.java, parser/HTMLParser.java,
	  parser/Parser.java, plugin/Framework.java,
	  plugin/FrameworkUI.java, plugin/Plugin.java,
	  plugin/PluginUI.java, plugin/fragments/FileSystemStore.java,
	  plugin/fragments/Fragments.java,
	  plugin/fragments/FragmentsStore.java,
	  plugin/fragments/swing/FragmentsFrame.form,
	  plugin/fragments/swing/FragmentsFrame.java,
	  plugin/fragments/swing/FragmentsPanel.java,
	  plugin/fuzz/swing/FuzzerPanel.form,
	  plugin/fuzz/swing/FuzzerPanel.java,
	  plugin/manualrequest/ManualRequest.java,
	  plugin/manualrequest/ManualRequestUI.java,
	  plugin/manualrequest/swing/ManualRequestPanel.form,
	  plugin/manualrequest/swing/ManualRequestPanel.java,
	  plugin/proxy/BeanShell.java, plugin/proxy/BeanShellUI.java,
	  plugin/proxy/BrowserCache.java,
	  plugin/proxy/ConnectionHandler.java,
	  plugin/proxy/CookieTracker.java, plugin/proxy/Listener.java,
	  plugin/proxy/ManualEdit.java, plugin/proxy/ManualEditUI.java,
	  plugin/proxy/NTLMFilter.java, plugin/proxy/NetworkSimulator.java,
	  plugin/proxy/Proxy.java, plugin/proxy/ProxyPlugin.java,
	  plugin/proxy/ProxyUI.java, plugin/proxy/RevealHidden.java,
	  plugin/proxy/swing/BeanShellPanel.form,
	  plugin/proxy/swing/BeanShellPanel.java,
	  plugin/proxy/swing/ListenerTableModel.java,
	  plugin/proxy/swing/ManualEditFrame.form,
	  plugin/proxy/swing/ManualEditFrame.java,
	  plugin/proxy/swing/ManualEditPanel.form,
	  plugin/proxy/swing/ManualEditPanel.java,
	  plugin/proxy/swing/MiscPanel.form,
	  plugin/proxy/swing/MiscPanel.java,
	  plugin/proxy/swing/ProxyPanel.form,
	  plugin/proxy/swing/ProxyPanel.java,
	  plugin/sessionid/Calculator.java,
	  plugin/sessionid/DefaultCalculator.java,
	  plugin/sessionid/FileSystemStore.java,
	  plugin/sessionid/SessionID.java,
	  plugin/sessionid/SessionIDAnalysis.java,
	  plugin/sessionid/SessionIDAnalysisUI.java,
	  plugin/sessionid/SessionIDStore.java,
	  plugin/sessionid/swing/BigRenderer.java,
	  plugin/sessionid/swing/SessionIDListener.java,
	  plugin/sessionid/swing/SessionIDPanel.form,
	  plugin/sessionid/swing/SessionIDPanel.java,
	  plugin/spider/Link.java, plugin/spider/Spider.java,
	  plugin/spider/SpiderUI.java,
	  plugin/spider/swing/SpiderPanel.form,
	  plugin/spider/swing/SpiderPanel.java,
	  ui/swing/CertificateDialog.java, ui/swing/ContentPanel.form,
	  ui/swing/ContentPanel.java, ui/swing/ConversationListModel.java,
	  ui/swing/ConversationPanel.form, ui/swing/ConversationPanel.java,
	  ui/swing/ConversationRenderer.java,
	  ui/swing/ConversationSearchFrame.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.form, ui/swing/CookieJarViewer.java,
	  ui/swing/FrameCache.java, ui/swing/Main.java,
	  ui/swing/MessagePanel.form, ui/swing/MessagePanel.java,
	  ui/swing/ProxyConfig.java, ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.form, ui/swing/ResponsePanel.java,
	  ui/swing/SessionLoader.java,
	  ui/swing/ShowConversationAction.java,
	  ui/swing/SiteTreeModelAdapter.java,
	  ui/swing/SiteTreeTableModelAdapter.java,
	  ui/swing/SummaryPanel.form, ui/swing/SummaryPanel.java,
	  ui/swing/SwingPluginUI.java, ui/swing/TranscoderFrame.java,
	  ui/swing/UIFramework.form, ui/swing/UIFramework.java,
	  ui/swing/UrlTreeRenderer.java, ui/swing/editors/HTMLPanel.form,
	  ui/swing/editors/HTMLPanel.java,
	  ui/swing/editors/MyHTMLEditorKit.java,
	  ui/swing/editors/ObjectPanel.java,
	  ui/swing/editors/TextPanel.java,
	  ui/swing/editors/UrlEncodedPanel.java,
	  ui/swing/editors/XMLPanel.form, ui/swing/editors/XMLPanel.java,
	  util/Encoding.java, util/MRUCache.java,
	  util/MappedListModel.java,
	  util/ReentrantReaderPreferenceReadWriteLock.java,
	  util/TextFormatter.java, util/swing/AbstractTreeModel.java,
	  util/swing/DocumentHandler.java,
	  util/swing/DocumentOutputStream.java, util/swing/JTreeTable.java,
	  util/swing/ListComboBoxModel.java, util/swing/SwingWorker.java,
	  util/swing/treetable/AbstractCellEditor.java,
	  util/swing/treetable/AbstractTreeTableModel.java,
	  util/swing/treetable/DefaultTreeTableModel.java,
	  util/swing/treetable/TreeTableModel.java: New files, or files
	  moved from other locations

2004-10-31 22:53  rogan

	* src/org/owasp/webscarab/: Suite.tpl, Test.tpl,
	  model/Conversation.java, model/CookieJar.java,
	  model/URLInfo.java, model/URLTreeModel.java,
	  plugin/AbstractWebScarabPlugin.java, plugin/Plug.java,
	  plugin/WebScarabPlugin.java,
	  plugin/proxy/AbstractProxyPlugin.java,
	  plugin/sessionid/SessionIDCalculator.java, ui/Framework.java,
	  ui/swing/ConversationTablePanel.form,
	  ui/swing/ConversationTablePanel.java,
	  ui/swing/FragmentsFrame.form, ui/swing/FragmentsFrame.java,
	  ui/swing/ListComboBoxModel.java, ui/swing/SiteInfoModel.java,
	  ui/swing/SwingPlugin.java, ui/swing/SwingWorker.java,
	  ui/swing/WebScarab.form, ui/swing/WebScarab.java,
	  ui/swing/editors/BeanShellPanel.form,
	  ui/swing/editors/BeanShellPanel.java,
	  util/ConversationFilter.java, util/DocumentHandler.java,
	  util/Filter.java, util/Util.java, util/swing/ListFilter.java,
	  util/swing/ListTableModelAdaptor.java, util/swing/TableRow.java:
	  removed files that are no longer required, or have moved to other
	  locations

2004-10-02 20:51  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java: get
	  the potentially modified request from the response

2004-10-02 20:50  rogan

	* src/org/owasp/webscarab/plugin/proxy/Proxy.java: always start at
	  least the default listener, if none are configured otherwise

2004-10-02 20:48  rogan

	* WebScarab.properties: update default preferences

2004-10-02 20:47  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: Remeber
	  the preferred size and location between instances

2004-10-02 20:45  rogan

	* src/org/owasp/webscarab/ui/swing/: RequestPanel.java,
	  ResponsePanel.java, ContentPanel.java: remember the preferred tab
	  between instances

2004-10-02 20:42  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: properly
	  handle authenticating proxies - thanks Will Stranathan

2004-06-03 17:31  rogan

	* installer/izpack.xml: added the Changelog to the distribution

2004-06-03 17:06  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  removed some unused code, added some support for unit testing

2004-06-03 17:03  rogan

	* src/org/owasp/webscarab/model/: Message.java, Request.java,
	  Response.java: implemented equals()

2004-06-03 13:39  rogan

	* src/org/owasp/webscarab/model/Request.java: buffer direct writes
	  too

2004-06-03 12:57  rogan

	* src/org/owasp/webscarab/plugin/proxy/: Listener.java, Proxy.java:
	  Don't even create a network Simulator when it is 'Unlimited'

2004-06-03 12:56  rogan

	* src/org/owasp/webscarab/plugin/proxy/NetworkSimulator.java: Fix
	  problems with reading when wrapping an SSL socket

2004-06-03 12:55  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java: Only
	  add forwarded for header if it is not localhost

2004-06-03 12:55  rogan

	* src/org/owasp/webscarab/model/: Request.java, Response.java:
	  Buffer writes into bigger buffer

2004-06-03 12:54  rogan

	* src/org/owasp/webscarab/model/: Conversation.java, URLInfo.java:
	  removed Observable hack, never used

2004-06-01 10:56  rogan

	* src/org/owasp/webscarab/plugin/proxy/Proxy.java: added more
	  default network parameters

2004-06-01 10:09  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: Fixed frame resizing code

2004-06-01 09:24  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: Implemented
	  Logger

2004-06-01 09:19  rogan

	* src/org/owasp/webscarab/model/Message.java: allow Request and
	  Response to access Messages logger

2004-06-01 09:17  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Listener.java, NetworkSimulator.java, Proxy.java: Fixed breakage
	  causing 100% CPU utilisation, and failure to use proxy plugins

2004-05-20 08:57  rogan

	* src/org/owasp/webscarab/ui/swing/editors/EditorWrapper.java:
	  supports delayed loading of a possibly heavy editor

2004-05-20 08:56  rogan

	* src/org/owasp/webscarab/plugin/sessionid/:
	  SessionIDAnalysis.java, SessionIDCalculator.java: fixed
	  calculation of sessionids to be LSB first, support calculation of
	  a substring of the entire cookie

2004-05-20 08:53  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: imporved error
	  handling

2004-05-20 08:53  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.java,
	  ConversationPanel.java, RequestPanel.java, ResponsePanel.java,
	  MessagePanel.java: Changed set{Request,Response,Message} calls to
	  specify editable at the same time

2004-05-20 08:49  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: ByteArrayEditor.java,
	  HTMLPanel.java, HexPanel.java, ObjectPanel.java,
	  SearchDialog.form, SearchDialog.java, TextPanel.java,
	  UrlEncodedPanel.java: Add support for replace in editable
	  textComponents. Make sure that any tables being edited are
	  stopped prior to retrieving the changed content

2004-05-20 08:40  rogan

	* src/org/owasp/webscarab/ui/Framework.java: Cleaned up the
	  non-plugin analysis of HTML content into a separate method. This
	  also seems to have solved a previous problem where scripts were
	  also recorded as comments. Start of support for identifying
	  'errors' based on matching a regex against the message body. This
	  is not yet functional

2004-05-20 08:37  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Listener.java, NetworkSimulator.java, Proxy.java: Add support for
	  selecting a simulated network connection, also insert
	  X-Forwarded-For headers into requests

2004-05-20 08:19  rogan

	* src/org/owasp/webscarab/model/Cookie.java: add support for
	  httponly

2004-05-13 17:30  rogan

	* src/org/owasp/webscarab/ui/swing/FrameCache.java: caches various
	  frames for redisplay

2004-05-13 17:28  rogan

	* src/org/owasp/webscarab/util/: Filter.java,
	  swing/ListFilter.java: documentation, minor cleanups

2004-05-13 17:27  rogan

	* src/org/owasp/webscarab/ui/swing/: SummaryPanel.form,
	  SummaryPanel.java, WebScarab.form, WebScarab.java: added support
	  for a conversation search panel, and setting the size and
	  position at startup. This does not seem to work, yet

2004-05-13 17:26  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationSearchFrame.form,
	  ConversationSearchFrame.java, ConversationTablePanel.form,
	  ConversationTablePanel.java: factored out the conversationTable,
	  and added a search facility

2004-05-13 17:24  rogan

	* src/org/owasp/webscarab/util/ConversationURLFilter.java: replaced
	  by ConversationFilter

2004-05-13 17:23  rogan

	* src/org/owasp/webscarab/util/: ConversationCriteria.java,
	  ConversationFilter.java: Criteria for selecting Conversations

2004-05-13 17:22  rogan

	* build.xml: allow for building with jikes and deprecation

2004-05-12 11:33  rogan

	* src/org/owasp/webscarab/: LICENSE.java,
	  httpclient/URLFetcher.java, model/Message.java,
	  model/Preferences.java, plugin/proxy/AbstractProxyPlugin.java,
	  plugin/proxy/Listener.java,
	  plugin/sessionid/SessionIDAnalysis.java,
	  plugin/sessionid/SessionIDCalculator.java,
	  ui/swing/CertificateDialog.form, ui/swing/CertificateDialog.java,
	  ui/swing/SiteInfoModel.java, util/ConversationURLFilter.java,
	  util/DocumentHandler.java, util/Filter.java,
	  util/swing/ListFilter.java, util/swing/TableRow.java,
	  util/swing/treetable/TreeTableModel.java: updated to correct
	  Jikes pedantic and deprecated warnings

2004-05-12 10:35  rogan

	* src/org/owasp/webscarab/ui/swing/: RequestPanel.java,
	  ResponsePanel.java: Reworked the layout of SessionIDPanel, added
	  a method to select which panel is displayed in the Request and
	  ResponsePanels

2004-05-12 10:14  rogan

	* src/org/owasp/webscarab/model/Conversation.java: Added a
	  toString() method

2004-05-12 08:54  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: Changed to
	  using KeyManagers, rather than a single KeyManagerFactory, so
	  that we can use multiple certificate/key sources at once, if we
	  need to. E.g. A disk based cert, and a smart card

2004-05-10 10:52  rogan

	* build.xml: force installer to to a complete clean build

2004-05-10 10:50  rogan

	* WebScarab.properties: New Preference handling requires a default
	  props file

2004-05-10 10:48  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: implemented code to mange log levels, updated
	  Preference handling

2004-05-10 10:45  rogan

	* src/org/owasp/webscarab/ui/Framework.java: Updated handling of
	  Preferences

2004-05-10 10:17  rogan

	* src/org/owasp/webscarab/plugin/AbstractWebScarabPlugin.java:
	  Updated location of Preferences

2004-05-10 10:16  rogan

	* src/org/owasp/webscarab/: model/Message.java,
	  plugin/proxy/ConnectionHandler.java, plugin/proxy/Listener.java:
	  updated logger init code

2004-05-10 10:15  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  ui/swing/CertificateDialog.form, ui/swing/CertificateDialog.java,
	  ui/swing/ProxyConfig.form, ui/swing/ProxyConfig.java: Fixed use
	  of Preferences

2004-05-10 08:16  rogan

	* doc/userguide/: about.html, installing.html, requirements.html,
	  session.html: updated documentation. Some pages are still
	  missing, and need to be written

2004-05-10 08:16  rogan

	* build.xml, src/org/owasp/webscarab/model/Preferences.java:
	  Changed how preferences are configured

2004-04-30 11:11  rogan

	* src/org/owasp/webscarab/: model/Preferences.java,
	  plugin/Preferences.java: moved Preferences from plugin to model

2004-04-19 10:34  rogan

	* src/org/owasp/webscarab/ui/swing/: DocumentOutputStream.java,
	  TeeOutputStream.java: not required

2004-04-19 10:29  rogan

	* src/org/owasp/webscarab/util/: TextFormatter.java,
	  DocumentHandler.java: new formatter and handler for Logger

2004-04-19 10:08  rogan

	* src/org/owasp/webscarab/util/LogInputStream.java: important
	  close() on PrintStream when the InputStream is closed

2004-04-19 10:06  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: implemented
	  Logger

2004-04-19 10:05  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.form: removed stderr
	  and stdout logging panels, replaced with a single one

2004-04-19 10:05  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: remove
	  response body, add response Date

2004-04-19 10:04  rogan

	* src/org/owasp/webscarab/ui/Framework.java: implement Logger

2004-04-19 10:02  rogan

	* src/org/owasp/webscarab/plugin/sessionid/SessionIDAnalysis.java:
	  fetchResponse throws IOException

2004-04-19 10:02  rogan

	* src/org/owasp/webscarab/plugin/proxy/Listener.java: move thread
	  creation from Connectionhandler to Listener, implement Logger

2004-04-19 10:00  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConversationRecorder.java:
	  no longer required

2004-04-19 09:59  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  heavy rework. We currently archive a possibly modified response
	  for analysis, as ConversationRecorder was ineffective anyway

2004-04-19 09:56  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  fetchResponse now throws an IOException

2004-04-19 09:55  rogan

	* src/org/owasp/webscarab/model/Response.java: made exception more
	  meaningful, when reading an invalid line from the InputStream

2004-04-19 09:54  rogan

	* src/org/owasp/webscarab/model/Request.java: make sure that the
	  request always has a path component, even if it is originally
	  null if becomes '/'

2004-04-19 09:53  rogan

	* src/org/owasp/webscarab/model/Message.java: fairly significant
	  rework of the content stream handling code. This should be a LOT
	  more reliable now

2004-04-19 09:52  rogan

	* src/org/owasp/webscarab/model/Conversation.java: we don't store
	  the body of the request, in case it is binary. We can view it
	  using the appropriate editors, anyway. Also save the response
	  Date: header

2004-04-19 09:51  rogan

	* src/org/owasp/webscarab/httpclient/FixedLengthInputStream.java:
	  basic cleanups

2004-04-19 09:50  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedInputStream.java: added
	  logging, fixed an unnecessary CRLF read

2004-04-19 09:45  rogan

	* src/org/owasp/webscarab/httpclient/: HTTPClient.java,
	  URLFetcher.java, AsyncFetcher.java: made fetchResponse throw an
	  IOException

2004-04-01 18:19  rogan

	* doc/certificates.html: updated to reflect changes in certificate
	  support

2004-04-01 18:14  rogan

	* installer/izpack.xml: adjust for changes in certificate files

2004-04-01 17:14  rogan

	* build.xml, client.p12, server.p12, serverkeys,
	  doc/certificates.html,
	  src/org/owasp/webscarab/httpclient/URLFetcher.java,
	  src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  changes to support usage of standard PKCS12 format files for
	  certificates, rather than obscure Java KeyStore format

2004-04-01 17:13  rogan

	* src/org/owasp/webscarab/ui/swing/SummaryPanel.java: update check
	  to account for different Object types

2004-04-01 11:54  rogan

	* src/org/owasp/webscarab/util/swing/treetable/:
	  AbstractCellEditor.java, AbstractTreeTableModel.java,
	  DefaultTreeTableModel.java, TreeTableModel.java,
	  TreeTableModelAdapter.java: fix broken cvs move

2004-04-01 11:40  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  model/CookieJar.java, model/SiteModel.java,
	  plugin/sessionid/SessionIDAnalysis.java,
	  plugin/spider/Spider.java, ui/swing/ConversationListFilter.java,
	  ui/swing/ConversationTableModel.java,
	  ui/swing/CookieJarViewer.java, ui/swing/JTreeTable.java,
	  ui/swing/MessagePanel.java, ui/swing/SiteInfoModel.java,
	  ui/swing/SummaryPanel.java, ui/swing/WebScarab.form,
	  ui/swing/WebScarab.java, ui/swing/editors/ObjectPanel.java,
	  util/ConversationURLFilter.java, util/Filter.java,
	  util/MappedListModel.java, util/SequencedTreeMap.java,
	  util/swing/JTreeTable.java, util/swing/ListFilter.java,
	  util/swing/ListTableModelAdaptor.java, util/swing/TableRow.java,
	  util/swing/TableSorter.java: Numerous changes, mostly to
	  TableModels and implementing Sorters

2004-03-25 09:03  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: fix stupid
	  mistake preventing direct connections if no proxy is configured

2004-03-18 10:14  rogan

	* src/org/owasp/webscarab/ui/Framework.java: made sure that the
	  'noProxy' split eliminated any extraneous spaces

2004-03-18 10:13  rogan

	* src/org/owasp/webscarab/:
	  plugin/manualrequest/ManualRequest.java,
	  plugin/proxy/ConnectionHandler.java, ui/swing/WebScarab.form,
	  ui/swing/WebScarab.java: removed clunky debug code

2004-03-18 10:12  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: fixed a deadlock,
	  which could make WebScarab hang

2004-03-18 10:11  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: implemented
	  'No Proxy' support

2004-03-18 10:10  rogan

	* doc/userguide/tools.html: tidying up

2004-03-18 10:10  rogan

	* build.xml: updated locations of izpack

2004-02-13 09:31  rogan

	* doc/userguide/: about.html, file.html, index.html,
	  installing.html, requirements.html, session.html, starting.html,
	  toc.html, tools.html, using.html: First stab at a userguide

2004-02-13 09:17  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: BeanShellPanel.form,
	  BeanShellPanel.java: rearranged some things, disabled buttons
	  that have not yet been implemented

2004-02-13 09:14  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationListFilter.java,
	  SummaryPanel.form, SummaryPanel.java: Support filtering
	  conversationlist based on the URL selected in the URL tree

2004-02-13 09:11  rogan

	* src/org/owasp/webscarab/ui/swing/MessagePanel.java: Implement a
	  proper HeaderTableModel. Still need to skip any invalid header
	  rows, e.g. blank name or blank value

2004-02-13 09:09  rogan

	* src/org/owasp/webscarab/ui/swing/ContentPanel.java: Only show the
	  content editors if it is editable, or data is not null

2004-01-30 10:04  rogan

	* src/org/owasp/webscarab/test.sh: tests moved to toplevel dir

2004-01-30 09:56  rogan

	* src/org/owasp/webscarab/plugin/spider/SequencedTreeMap.java:
	  moved to util

2004-01-30 09:49  rogan

	* src/org/owasp/webscarab/model/Header.java: header is now part of
	  Message.java

2004-01-30 09:24  rogan

	* build_rogan.xml: moved to build.xml

2004-01-29 10:03  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationTableModel.java:
	  updated to observe the Conversations

2004-01-29 10:03  rogan

	* src/org/owasp/webscarab/model/: Conversation.java, URLInfo.java:
	  updated to extend Observable

2004-01-29 10:00  rogan

	* installer/compiler.jar: installer jar files should not be part of
	  the repository, so that it is easier to keep in sync with the
	  latest izpack releases

2004-01-29 09:58  rogan

	* installer/izpack.xml: changed email address, updated for build
	  script mods

2004-01-29 09:54  rogan

	* build.xml: was build_rogan.xml

2004-01-29 09:52  rogan

	* build.xml, src/org/owasp/webscarab/build.xml,
	  src/org/owasp/webscarab/httpclient/build.xml,
	  src/org/owasp/webscarab/model/build.xml,
	  src/org/owasp/webscarab/plugin/build.xml,
	  src/org/owasp/webscarab/ui/build.xml,
	  src/org/owasp/webscarab/ui/swing/build.xml,
	  src/org/owasp/webscarab/util/build.xml, config.build.xml: moving
	  build_rogan.xml to replace unmaintained build scripts

2004-01-29 09:35  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationLog.form,
	  ConversationLog.java, URLTreePanel.form, URLTreePanel.java: these
	  panels have been replaced by the site summary panel

2004-01-02 12:56  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  model/Message.java, model/Request.java, model/Response.java,
	  plugin/proxy/ConnectionHandler.java, ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.java: Update Message to include Header
	  functions. Provide a parse(String) method in Request and
	  Response, to differentiate between reading from an InputStream,
	  and parsing an edited String.  Message now handles Chunked and
	  GZipped content more naturally.  toString() now produces output
	  that is as human-readable as we can make it, while write() can
	  result in a chunked and gzipped output requests and responses are
	  stored on disk as they are seen (modulo rechunking) Other parts
	  of WebScarab have been updated to fit in with the new way of
	  handling things.

2004-01-02 12:47  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedInputStream.java:
	  Reduced logging verbosity

2004-01-02 12:32  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedOutputStream.java: Must
	  write a CRLF after the preceding chunk, before the chunk size.

2003-12-20 16:17  rogan

	* src/org/owasp/webscarab/ui/swing/: SummaryPanel.java,
	  SwingPlugin.java, WebScarab.java: updated SwingPlugin interface
	  to allow plugins to provide their own actions to execute for
	  conversations and URLs

2003-12-20 16:16  rogan

	* src/org/owasp/webscarab/ui/swing/SiteInfoModel.java: fixed
	  boolena representation of existence of Scripts or Comments

2003-12-20 13:22  rogan

	* src/org/owasp/webscarab/LICENSE.java: fixed the perpetual
	  rebuilding of the class file

2003-12-20 13:06  rogan

	* src/org/owasp/webscarab/ui/swing/SiteInfoModel.java: removed some
	  columns, changed some types

2003-12-20 13:04  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: changed the
	  order of initialisation of plugins, and the way we do so. Moved
	  the creation of the underlying plugin module into the GUI plugin,
	  and init them AFTER the main WebScarab UI has been shown. This is
	  to fix the 'sometimes doesn't display' problem

2003-12-20 13:02  rogan

	* src/org/owasp/webscarab/ui/swing/: FragmentsFrame.form,
	  FragmentsFrame.java: new frame for displaying any fragments that
	  we have seen. This produces a multi-lined table

2003-12-20 13:00  rogan

	* src/org/owasp/webscarab/ui/swing/: SummaryPanel.form,
	  SummaryPanel.java: implmented right-click menus for tree and
	  table, now shows the fragments (scripts and comments) in the
	  conversations

2003-12-20 12:58  rogan

	* src/org/owasp/webscarab/ui/Framework.java: changed the Set-Cookie
	  property to keep a boolean value, rather than a list of options

2003-12-20 12:57  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: added a
	  getCOnversation(String id) implementation

2003-12-17 18:03  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: invoke the new
	  summary panel, rather than the ConversationLog and URLTree
	  panels. Do not invoke the SessionID panel, since it makes
	  WebScarab unreliable in displaying its window

2003-12-17 18:02  rogan

	* src/org/owasp/webscarab/ui/swing/: SummaryPanel.form,
	  SummaryPanel.java: new panel summarising the sites under test

2003-12-17 18:01  rogan

	* src/org/owasp/webscarab/ui/Framework.java: handle nulls better if
	  there are no plugins loaded

2003-12-17 18:00  rogan

	* src/org/owasp/webscarab/model/Request.java: include Exception
	  handling carelessly omitted

2003-12-04 13:16  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.java,
	  MessagePanel.java, RequestPanel.java: invoke the URLEncoded panel
	  when appropriate, other changes as a result of testing

2003-12-04 13:12  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: HTMLPanel.java,
	  HexPanel.java, ImagePanel.java, ObjectPanel.java,
	  SerializedObjectPanel.java, TextPanel.java, UrlEncodedPanel.form,
	  UrlEncodedPanel.java: new URLEncodedPanel, and minor fixups to
	  the other editors

2003-12-04 13:10  rogan

	* src/org/owasp/webscarab/model/: Message.java, Request.java,
	  Response.java: implement clone() interface for Request and
	  Response - untested

2003-11-28 13:48  rogan

	* src/org/owasp/webscarab/httpclient/: AsyncFetcher.java,
	  ChunkedInputStream.java, ChunkedOutputStream.java: Fixed errors
	  in ChunkedInputStream

2003-11-25 12:28  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: Different view of the Stderr and stdout windows.
	  Now you can see both at once.

2003-11-23 11:27  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedOutputStream.java:
	  Support for writing out chunked streams. Initially unused, but
	  should come soon.

2003-11-23 11:26  rogan

	* src/org/owasp/webscarab/httpclient/ChunkedInputStream.java: Fixed
	  to also read the trailer if there is one. Probably fixes a
	  problem where there are multiple chunked streams in a single
	  connection, because we had failed to read at least the trailing
	  carriage return

2003-11-20 23:34  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: TextPanel.form,
	  TextPanel.java: Make the highlighting easer to see, when we
	  search

2003-11-20 23:30  rogan

	* src/org/owasp/webscarab/ui/Framework.java: Changed the Propert
	  for extracted html comments so as not to collide with the
	  property for user comments

2003-11-20 23:28  rogan

	* src/org/owasp/webscarab/plugin/sessionid/SessionIDAnalysis.java:
	  Used a timer to generate requests at a maximum of 2 per second.
	  This provides enough duplication to allow seeing timing effects
	  if there are simultaneous requests in a second, but not so much
	  that you don't see the pattern over time.

2003-11-20 23:23  rogan

	* src/org/owasp/webscarab/: plugin/spider/Spider.java,
	  util/SequencedTreeMap.java: Moved the SequencedTreeMap class into
	  util

2003-11-20 23:21  rogan

	* src/org/owasp/webscarab/: ui/swing/ConversationTableModel.java,
	  model/SiteModel.java: Moved the ConversationTableModel out of the
	  SiteModel class, and updated the users of it

2003-11-18 00:26  rogan

	* lib/: jcommon-0.8.7.jar, jfreechart-0.9.12.jar: JFreeChart is
	  used for graphing sessionids. It is a bit heavyweight, though.
	  Any suggestions/replacements are welcome!

2003-11-18 00:24  rogan

	* build_rogan.xml: Reflect changes required to	build webscarab
	  with JFreeChart, etc. Also reflect new location of IZPack. Please
	  download it from izforge if you want to build installable images.

2003-11-18 00:23  rogan

	* installer/izpack.xml: remove izpack from CVS. It is not a good
	  idea to keep it in CVS, I think.

2003-11-17 20:05  rogan

	* src/org/owasp/webscarab/util/NotifiableListModel.java: A
	  ListModel that allows us to tell listeners that the objects in
	  the list have changed, from outside the class itself. Used by
	  SessionIDAnalysis, at least.

2003-11-17 20:01  rogan

	* src/org/owasp/webscarab/ui/swing/: ObjectTreePanel.form,
	  editors/ObjectPanel.form, editors/ObjectPanel.java,
	  editors/SerializedObjectPanel.java, ObjectTreePanel.java: An
	  improved ObjectTree editor - one that actually works! Based on a
	  JTreeTable rather than a tree. As well as a Serialized Object
	  Editor to demonstrate how one might call it. The way that the
	  code is done in ContentPanel allows us to easily support
	  specifying external modules to be tried for a particular content
	  type.

2003-11-17 19:44  rogan

	* src/org/owasp/webscarab/ui/swing/editors/: SearchDialog.java,
	  TextPanel.java: add support for "search again" via Ctrl-G

2003-11-17 19:41  rogan

	* src/org/owasp/webscarab/ui/swing/editors/MyHTMLEditorKit.java:
	  use a more correct implementation to prevent display of "child
	  content" (NoView vs a kluged BlockView). This prevents a number
	  of exceptions and other problems.

2003-11-17 19:40  rogan

	* src/org/owasp/webscarab/ui/swing/editors/HTMLPanel.java: add a
	  tooltip listener to show any URLs as we hover over them. add
	  "search again" on Ctrl-G

2003-11-17 19:38  rogan

	* src/org/owasp/webscarab/ui/swing/editors/BeanShellPanel.java:
	  removed a lot of unnecessary code. Generalised a lot, so we could
	  add a BeanShell plugin, for example. Emphasize that Bean Shell
	  works with the actual object, not a copy!

2003-11-17 19:36  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: Extensive use of JOptionPane dialogs rather than
	  System.err for error and warning messages ;-) Fixed the file
	  loading to warn if a session is not opened or created. Prompt the
	  user to open or create a session if none exists.

2003-11-17 19:34  rogan

	* src/org/owasp/webscarab/ui/swing/SiteInfoModel.java: remove
	  unused import

2003-11-17 19:33  rogan

	* src/org/owasp/webscarab/ui/swing/: RequestPanel.java,
	  ResponsePanel.java: Changed checks for which tab is selected to
	  be by name, rather than by number. This allows us to move the
	  tabs around if necessary, or remove or add them

2003-11-17 19:31  rogan

	* src/org/owasp/webscarab/ui/swing/ProxyConfig.java: add support
	  for deleting the proxy settings. Fixed arror where https proxy
	  setting were ending up in the noProxy text field

2003-11-17 19:29  rogan

	* src/org/owasp/webscarab/ui/swing/MessagePanel.java: Allow adding
	  and deleting headers using the buttons

2003-11-17 19:28  rogan

	* src/org/owasp/webscarab/ui/swing/JTreeTable.java: Allow post
	  constructor changing of the model

2003-11-17 19:27  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationPanel.java: change
	  calls to set grame size and bounds, so that we don't force a
	  position, rather than allowing the window manager to lay it out.

2003-11-17 19:23  rogan

	* src/org/owasp/webscarab/ui/swing/ContentPanel.java: Be more
	  careful about changing UI components inthe AWT event thread only

2003-11-17 19:21  rogan

	* src/org/owasp/webscarab/ui/Framework.java: Add support for
	  recording the origin of a conversation. Also add support for
	  saving the fragments of HTML pages that we extract, such as
	  SCRIPT and Comment tags.

2003-11-17 19:19  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: provide a
	  description when adding a conversation to the store. Changed
	  thread priority, to improve interactive performance.

2003-11-17 19:18  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  provide a description when adding a conversation to the store.
	  Changed some error handling, in the hopes that the conversation
	  will be added to the store, even in the event of a failure
	  writing the response to the browser. e.g  Esc pressed. Not
	  tested.

2003-11-17 19:16  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  provide a description when adding a conversation to the store

2003-11-17 19:15  rogan

	* src/org/owasp/webscarab/plugin/Plug.java: Changed plug interface
	  so that each plugin provides detail about where the conversation
	  originated when adding it to the store

2003-11-17 19:10  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: Added support for
	  saving fairly arbitrary fragments, and retrieving them again.
	  Updated the Converation table model to support adding comments by
	  editing the table directly. Maybe not the most fiendly way of
	  doing it, but it "works for the moment(tm)" ;-)

2003-11-17 19:07  rogan

	* src/org/owasp/webscarab/model/Request.java: Change URL base from
	  a String to an URL. Also changed toString() to output an empty
	  string if the request had not yet been initialised. That prevents
	  things like "null null://null:null/null?null null" in Request
	  Panels ;-)

2003-11-17 19:05  rogan

	* src/org/owasp/webscarab/model/Conversation.java: Add "array-like"
	  support to the conversation properties, for storing lists of
	  fragments per conversation.

2003-11-17 19:04  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: A fix to
	  allow the reverse proxy to work to an SSL site

2003-11-17 19:03  rogan

	* src/org/owasp/webscarab/httpclient/AsyncFetcher.java: set Thread
	  priority to the minimum to improve responsiveness

2003-11-17 18:57  rogan

	* src/org/owasp/webscarab/plugin/sessionid/: SessionID.java,
	  SessionIDAnalysis.java, SessionIDCalculator.java,
	  SessionIDStore.java: New plugin to implement session id sampling
	  and analysis. Currently only supports sessionids in cookies, but
	  should be easy to extend to URL-parameter based sessionids that
	  are first seen in the body of a message, as a parameter on a link
	  of some description

2003-11-10 16:05  rogan

	* src/org/owasp/webscarab/ui/swing/editors/MyHTMLEditorKit.java:
	  prevent loading of referenced URL's in the HTMLPanel

2003-11-10 16:03  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.java,
	  WebScarab.java, editors/HTMLPanel.form, editors/HTMLPanel.java,
	  editors/HexPanel.java: support HTML panel

2003-11-07 13:32  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.form,
	  ContentPanel.java, ConversationPanel.form,
	  ConversationPanel.java, MessagePanel.form, MessagePanel.java,
	  RequestPanel.java, ResponsePanel.java, WebScarab.form,
	  WebScarab.java, editors/BeanShellPanel.java,
	  editors/SearchDialog.java, editors/TextPanel.java: various fixes
	  to make the new Request and Response Panels more reliable

2003-11-07 10:09  rogan

	* src/org/owasp/webscarab/ui/swing/TranscoderFrame.java: use utf-8
	  encoding

2003-11-07 09:43  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.java,
	  MessagePanel.java, RequestPanel.form, RequestPanel.java,
	  ResponsePanel.form, ResponsePanel.java, editors/HexPanel.java,
	  editors/TextPanel.java: fixes for the editors

2003-11-07 07:12  rogan

	* src/org/owasp/webscarab/: model/SiteModel.java,
	  model/SiteModelStore.java, ui/Framework.java: Add support for
	  saving fragments

2003-11-06 13:32  rogan

	* src/org/owasp/webscarab/ui/swing/SiteInfoModel.java: remove
	  debugging code

2003-11-06 12:41  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: provide default
	  column sizes

2003-11-06 12:41  rogan

	* src/org/owasp/webscarab/model/URLTreeModel.java: fix the
	  URLTreeModel - it would not show if we loaded a new session

2003-11-06 12:36  rogan

	* src/org/owasp/webscarab/ui/swing/: ContentPanel.form,
	  ContentPanel.java, MessagePanel.form, MessagePanel.java,
	  RequestPanel.form, RequestPanel.java, ResponsePanel.form,
	  ResponsePanel.java, SiteInfoModel.java,
	  editors/BeanShellPanel.form, editors/BeanShellPanel.java,
	  editors/ByteArrayEditor.java, editors/HexPanel.form,
	  editors/HexPanel.java, editors/ImagePanel.form,
	  editors/ImagePanel.java, editors/SearchDialog.form,
	  editors/SearchDialog.java, editors/TextPanel.form,
	  editors/TextPanel.java: new request and response viewer/editor
	  framework

2003-10-28 22:52  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  plugin/manualrequest/ManualRequest.java,
	  plugin/proxy/ConnectionHandler.java, ui/swing/WebScarab.form,
	  ui/swing/WebScarab.java: Add support for tracing requests made
	  via the Manual Request plugin

2003-10-27 00:22  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  fixed null response handling

2003-10-26 23:32  rogan

	* src/org/owasp/webscarab/: model/Request.java,
	  plugin/proxy/ConnectionHandler.java: fix exception message when
	  the SSL negotiation pauses to verify the cert, also read timeout
	  errors that surfaced

2003-10-25 13:45  rogan

	* src/org/owasp/webscarab/model/CookieJar.java: fix class cast
	  error

2003-10-22 21:42  rogan

	* src/org/owasp/webscarab/ui/swing/: TranscoderFrame.form,
	  TranscoderFrame.java: Remove reference to Exodus

2003-10-22 21:37  rogan

	* lib/optlib.jar: this is not used

2003-10-22 21:34  rogan

	* build_rogan.xml, installer/izpack.xml: put the beanshell jar in
	  the right place

2003-10-22 21:23  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  plugin/proxy/Listener.java: add untested support for client
	  certificates

2003-10-22 21:22  rogan

	* lib/bsh-2.0b1.jar,
	  src/org/owasp/webscarab/ui/swing/WebScarab.java: Added a new
	  BeanShell proxy plugin.  Allows you to script your own changes to
	  the Request and Response

2003-10-14 23:06  rogan

	* build_rogan.xml, installer/izpack.xml: update to support vulnxml

2003-10-14 22:40  rogan

	* lib/owasp.jar: included new URLUtil methods

2003-10-14 22:27  rogan

	* build_rogan.xml: [no log message]

2003-10-14 22:24  rogan

	* lib/vulnxml.jar: the vulnxml parsers

2003-10-14 22:22  rogan

	* build_rogan.xml: updatd build file to work with was

2003-10-14 22:21  rogan

	* lib/owasp.jar: updated

2003-10-14 00:15  rogan

	* src/org/owasp/webscarab/ui/swing/SiteInfoModel.java: provides a
	  treetablemodel on top of the URLTree

2003-10-14 00:13  rogan

	* src/org/owasp/webscarab/ui/swing/: URLTreePanel.form,
	  URLTreePanel.java, WebScarab.form, WebScarab.java: update the
	  URLPanel to use a treetable. Include the transcoder

2003-10-14 00:12  rogan

	* src/org/owasp/webscarab/ui/swing/: TranscoderFrame.form,
	  TranscoderFrame.java: add the transcoder frame

2003-10-14 00:10  rogan

	* src/org/owasp/webscarab/ui/swing/JTreeTable.java: Import sun's
	  treetable classes

2003-10-09 08:06  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  plugin/proxy/ConnectionHandler.java, ui/swing/WebScarab.form,
	  ui/swing/WebScarab.java: enable proxy debugging, with a nifty
	  menu option in the GUI

2003-10-09 00:30  rogan

	* lib/owasp.jar: updated some Date utils

2003-10-09 00:28  rogan

	* src/org/owasp/webscarab/ui/swing/ListComboBoxModel.java: present
	  a ListModel as a ComboBoxModel

2003-10-09 00:25  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: add support for viewing the CookieJar

2003-10-09 00:25  rogan

	* src/org/owasp/webscarab/ui/swing/: CookieJarViewer.form,
	  CookieJarViewer.java: gui to view a CookieJar

2003-10-09 00:23  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java: log
	  raw request data to the tmpdir

2003-10-09 00:23  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: support reading
	  cookies into the model

2003-10-09 00:22  rogan

	* src/org/owasp/webscarab/model/CookieJar.java: make the CookieJar
	  more understandable

2003-10-09 00:21  rogan

	* src/org/owasp/webscarab/model/Cookie.java: include the Date

2003-10-09 00:15  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: support 100
	  Continue. POST should now work. Add support for debugging and
	  tracing

2003-10-09 00:14  rogan

	* src/org/owasp/webscarab/util/: LogInputStream.java,
	  LogOutputStream.java: log what is read and written to a
	  PrintStream

2003-10-08 23:41  rogan

	* src/org/owasp/webscarab/plugin/proxy/CopyInputStream.java:
	  unused. Moved similar functionality to util/LogInputStream

2003-10-08 22:58  rogan

	* src/org/owasp/webscarab/model/Header.java: revert debug changes

2003-10-08 22:54  rogan

	* src/org/owasp/webscarab/model/: Header.java, Message.java: fixed
	  a few comments

2003-09-29 23:17  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java:
	  there is a problem logging in to freshmeat.net. unsolved
	  currently

2003-09-29 22:53  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: fix some
	  whitespace, make sure that we save the previous session when we
	  load a new one

2003-09-29 22:52  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: be more
	  careful about the Host: header

2003-09-29 22:52  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: do not include the
	  query part when adding to the URLInfo

2003-09-29 22:37  rogan

	* src/org/owasp/webscarab/model/URLTreeModel.java: clear the tree
	  properly

2003-09-29 22:37  rogan

	* src/org/owasp/webscarab/model/Cookie.java: test for secure
	  cookies case insensitive

2003-09-29 22:36  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: support
	  persistent connection

2003-09-29 22:35  rogan

	* src/org/owasp/webscarab/httpclient/AsyncFetcher.java: support
	  naming the thread

2003-09-29 21:07  rogan

	* src/org/owasp/webscarab/ui/swing/: ProxyConfig.form,
	  URLTreePanel.form: these were not checked in originally, but
	  correspond to the .java files of the same name

2003-09-29 13:07  rogan

	* installer/izpack.xml: make serverkeys part of the src pack, so as
	  not to confuse people

2003-09-29 13:03  rogan

	* build_rogan.xml: put the serverkeys in the .jar again. This broke
	  ssl intercept

2003-09-29 10:44  rogan

	* installer/izpack.xml: wrong attribute

2003-09-29 10:40  rogan

	* installer/izpack.xml: include the howto in the core

2003-09-29 10:39  rogan

	* doc/WebScarab-Howto.txt: convert to Dos CRLF

2003-09-29 10:38  rogan

	* README, doc/WebScarab-Howto.txt: update the documentation

2003-09-29 09:29  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: add Host:
	  headers, and be more consistent about URL formats. Revert to
	  keying the Maps by the String representation of the URL, rather
	  thant he URL itself

2003-09-29 09:26  rogan

	* lib/owasp.jar: Reflect changes made to OCL.URLUtil to format
	  URL's more consistently (always have a trailing slash if there is
	  no path defined)

2003-09-29 09:12  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  Changed way we handle cookies, since the ResponsePanel does not
	  return the corresponding Request.

2003-09-27 18:37  rogan

	* src/org/owasp/webscarab/plugin/spider/: Link.java, Spider.java:
	  changed Link to use URL rather than String

2003-09-27 18:36  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: Fixed some
	  indentation

2003-09-27 18:34  rogan

	* src/org/owasp/webscarab/model/Response.java: Allow for an empty
	  status message

2003-09-27 18:31  rogan

	* build_rogan.xml: moved installer stuff around

2003-09-27 18:19  rogan

	* installer/: README, compiler.jar, izpack.xml, shortcutSpec.xml,
	  useNativeLAF: files required for the installer to function

2003-09-27 18:18  rogan

	* lib/izpack.jar: move installer stuff to installer

2003-09-27 18:15  rogan

	* izpack.xml: moved installer stuff to their own directory

2003-09-24 10:34  rogan

	* build_rogan.xml: installer depends on a .jar file

2003-09-24 10:27  rogan

	* build_rogan.xml, izpack.xml, webscarab_logo.gif: use IzPack for
	  the build system

2003-09-24 10:23  rogan

	* webscarab.vai: moved to IzPack

2003-09-24 10:22  rogan

	* lib/: izpack.jar, vainstall.jar: change installer to IzPack

2003-09-24 10:18  rogan

	* make_installer.sh: changed installer to IzPack

2003-09-23 16:24  rogan

	* src/org/owasp/webscarab/model/: Cookie.java, CookieJar.java,
	  SiteModel.java, SiteModelStore.java: initial support for saving
	  the CookieJar

2003-09-23 16:20  rogan

	* build_rogan.xml, make_installer.sh, webscarab.vai,
	  lib/vainstall.jar: initial support for an installer target.
	  Unfortunately, the installer task is horribly broken. Use the
	  make_installer.sh shell script in the mean time. This is only
	  really useful for the release engineer - i.e. me ;-)

2003-09-23 09:31  rogan

	* lib/vainstall.jar: the installer program

2003-09-22 18:29  rogan

	* src/org/owasp/webscarab/ui/swing/: TeeOutputStream.java,
	  WebScarab.java: Tee log output to the original destinations, so
	  that we can see it in the UI, and keep a copy of it after the UI
	  has exited.

	  Move instatiation of Proxy plugins to the main class

2003-09-22 18:28  rogan

	* src/org/owasp/webscarab/ui/swing/RequestPanel.java: fix
	  conversion from Raw to Tabular and back. Should throw fewer
	  exceptions now ;-)

2003-09-22 18:27  rogan

	* src/org/owasp/webscarab/ui/Framework.java: use canonical method
	  for retrieving URLInfo. Previous testing always used non-standard
	  ports, so did not pick up the problems

2003-09-22 18:25  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: add more
	  useful logging

2003-09-22 18:23  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Proxy.java: fix an exception if we delete the last listener

2003-09-22 18:20  rogan

	* src/org/owasp/webscarab/model/URLTreeModel.java: put the root
	  node back after we clear the tree

2003-09-22 18:19  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: canonicalise URL's
	  and clear the cookie jar

2003-09-22 18:18  rogan

	* src/org/owasp/webscarab/model/CookieJar.java: support clear() ing
	  of the cookie jar

2003-09-22 18:16  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: Remove logger

2003-09-19 13:21  rogan

	* WebScarab.properties, build_rogan.xml,
	  src/org/owasp/webscarab/plugin/Preferences.java: fix properties,
	  since we hard code the defaults into the individual modules

2003-09-19 11:46  rogan

	* src/org/owasp/webscarab/: ui/Init.java,
	  ui/swing/EventRouter.java, ui/swing/RunAnEvent.java,
	  util/Prioritized.java, util/PriorityQueue.java, util/Timer.java,
	  util/TimerManager.java, util/WebScarabSM.java: Delete old
	  webscarab spider

2003-09-19 11:12  rogan

	* src/org/owasp/webscarab/: plugin/spider/Spider.java,
	  model/SiteModel.java: clear the URLTreeModel

2003-09-19 11:08  rogan

	* src/org/owasp/webscarab/model/URLTreeModel.java: add support for
	  clearing the URLTree

2003-09-19 11:00  rogan

	* src/org/owasp/webscarab/model/CookieJar.java: handle deleted
	  cookies

2003-09-18 08:56  rogan

	* src/org/owasp/webscarab/: model/SiteModel.java,
	  plugin/spider/Spider.java: update the trees when we reload from
	  store

2003-09-18 08:44  rogan

	* src/org/owasp/webscarab/: httpclient/AsyncFetcher.java,
	  model/Message.java, model/Request.java,
	  plugin/manualrequest/ManualRequest.java,
	  plugin/proxy/ConversationRecorder.java,
	  ui/swing/ConversationLog.java, ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.java: fixed Message content handling,
	  hopefully

2003-09-18 01:16  rogan

	* build_rogan.xml: [no log message]

2003-09-18 01:06  rogan

	* src/org/owasp/webscarab/: httpclient/URLFetcher.java,
	  model/Message.java, plugin/proxy/ConnectionHandler.java: Updated
	  to handle POST

2003-09-17 23:14  rogan

	* src/org/owasp/webscarab/ui/swing/: ObjectTreePanel.form,
	  ObjectTreePanel.java: This panel is designed to provide support
	  for reviewing thick clients that pass serialised objects
	  backwards and forwards. If we can deserialise and modify the
	  object tree, we should be able to break the app in interesting
	  ways. This panel would end up as a component in the RequestPanel
	  and ResponsePanel classes eventually.

2003-09-16 22:24  rogan

	* WebScarab.properties: default properties file

2003-09-16 22:13  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: Add code to
	  the new buttons, update the queue to add the cookies at the last
	  minute

2003-09-15 19:32  rogan

	* src/org/owasp/webscarab/: model/URLTreeModel.java,
	  plugin/spider/Spider.java: Implement a tree view of the unseen
	  URL's

2003-09-15 13:28  rogan

	* src/org/owasp/webscarab/: model/URLInfo.java, ui/Framework.java:
	  Update URLInfo to support more complex property settings.  Update
	  Framework to take advantage of it.

2003-09-15 13:26  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: Include the new
	  ManualRequest plugin

2003-09-15 13:22  rogan

	* src/org/owasp/webscarab/ui/swing/SwingWorker.java: Provides a
	  method of executing long-running tasks in Swing, without halting
	  the GUI.

2003-09-15 13:20  rogan

	* src/org/owasp/webscarab/plugin/manualrequest/ManualRequest.java:
	  Implement a method of making a request manually, and viewing the
	  response

2003-09-15 10:44  rogan

	* serverkeys: holds our SSL key for intercepting SSL traffic

2003-09-15 10:17  rogan

	* src/org/owasp/webscarab/ui/: Framework.java,
	  swing/WebScarab.form, swing/WebScarab.java: Use Preferences
	  rather than passing Properties around

2003-09-15 10:16  rogan

	* src/org/owasp/webscarab/plugin/proxy/Listener.java: fix log
	  messages

2003-09-15 10:15  rogan

	* src/org/owasp/webscarab/plugin/: proxy/Proxy.java,
	  spider/Spider.java: Update plugins to use
	  Preferences.getPreferences, rather than Plug.getPreferences()

2003-09-15 10:12  rogan

	* src/org/owasp/webscarab/plugin/Plug.java: We use Preferences now,
	  so getProperties() is not required

2003-09-15 10:11  rogan

	* src/org/owasp/webscarab/plugin/AbstractWebScarabPlugin.java: All
	  plugins have direct access to the preferences

2003-09-15 10:08  rogan

	* src/org/owasp/webscarab/plugin/Preferences.java: a singleton to
	  hold the preferences

2003-09-11 23:16  rogan

	* lib/owasp.jar: a build of the OCL

2003-09-11 23:14  rogan

	* lib/htmlparser.jar: The HTML parser library we use

2003-09-11 23:07  rogan

	* src/org/owasp/webscarab/ui/Framework.java: implement
	  getCookieJar()

2003-09-11 23:04  rogan

	* build_rogan.xml: Rogan's build file. The other build schema is
	  too complex to maintain, even if it would encourage adherence to
	  best practice

2003-09-11 22:47  rogan

	* src/org/owasp/webscarab/plugin/: Plug.java,
	  proxy/ConnectionHandler.java, proxy/Proxy.java,
	  spider/Spider.java: Make the CookieJar available, and make use of
	  it

2003-09-11 22:44  rogan

	* src/org/owasp/webscarab/model/URLInfo.java: make toString return
	  the URL

2003-09-11 22:43  rogan

	* src/org/owasp/webscarab/model/: Cookie.java, CookieJar.java,
	  SiteModel.java: Initial implementation of a Cookie
	  synchronisation

2003-09-11 00:37  rogan

	* src/org/owasp/webscarab/ui/Framework.java: Adds some error
	  checking code

2003-09-11 00:36  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: Includes the
	  URLTreePanel as a plugin. Reworks the STDOUT/STDERR code a bit

2003-09-11 00:35  rogan

	* src/org/owasp/webscarab/ui/swing/URLTreePanel.java: Makes use of
	  the SiteModel URLTreeModel to display a tree view of the URL's we
	  have visited

2003-09-11 00:34  rogan

	* src/org/owasp/webscarab/ui/swing/RequestPanel.java: Add some
	  debugging code

2003-09-11 00:29  rogan

	* src/org/owasp/webscarab/plugin/proxy/ConnectionHandler.java: fix
	  base, so that it does not have an unnecessary slash on the end

2003-09-11 00:28  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: add URLs to an
	  URLTreeModel as we create URLInfos for them

2003-09-11 00:27  rogan

	* src/org/owasp/webscarab/model/URLTreeModel.java: a class that
	  automatically creates tree nodes based on the URL added

2003-09-09 19:18  istr

	* src/org/owasp/webscarab/: plugin/proxy/ProxyPlugin.java,
	  httpclient/HTTPClient.java: removed public keyword

2003-09-01 01:04  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java: load the Properties differently

2003-09-01 01:03  rogan

	* src/org/owasp/webscarab/ui/Framework.java: modify how we set
	  properties

2003-09-01 01:01  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Listener.java, Proxy.java: Support multiple listeners

2003-09-01 01:00  rogan

	* src/org/owasp/webscarab/plugin/: AbstractWebScarabPlugin.java,
	  Plug.java, WebScarabPlugin.java: change how we set Properties

2003-09-01 00:59  rogan

	* src/org/owasp/webscarab/model/Request.java: remove use of Logger

2003-08-28 23:07  rogan

	* src/org/owasp/webscarab/ui/swing/ProxyConfig.java: an interface
	  to edit upstream proxies

2003-08-28 22:50  rogan

	* src/org/owasp/webscarab/ui/swing/: DocumentOutputStream.java,
	  WebScarab.form, WebScarab.java: Implement loading of properties,
	  and redirection of stderr and stdout into the gui

2003-08-28 22:49  rogan

	* src/org/owasp/webscarab/ui/Framework.java: handle setting of
	  properties

2003-08-28 22:46  rogan

	* src/org/owasp/webscarab/plugin/: AbstractWebScarabPlugin.java,
	  WebScarabPlugin.java, proxy/Proxy.java, spider/Spider.java:
	  Change usage of ocl Prop back to java Properties

2003-08-28 22:44  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: Don't throw an
	  exception if no store has been defined

2003-08-28 22:43  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: updated
	  methods for setting proxies

2003-08-28 22:41  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationLog.java: made
	  request and response panels visible

2003-08-26 00:24  rogan

	* src/org/owasp/webscarab/model/StoreException.java: Store
	  exception type

2003-08-26 00:23  rogan

	* src/org/owasp/webscarab/ui/: Framework.java,
	  swing/WebScarab.java, swing/WebScarab.form: provide a method for
	  selecting and loading a session

2003-08-26 00:22  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: call the new Store
	  methods

2003-08-26 00:21  rogan

	* src/org/owasp/webscarab/plugin/: AbstractWebScarabPlugin.java,
	  WebScarabPlugin.java, proxy/Proxy.java, spider/Spider.java:
	  update the plugin interface, and implementations to reflect the
	  new Store interface

2003-08-26 00:18  rogan

	* src/org/owasp/webscarab/: model/SiteModelStore.java,
	  plugin/spider/SpiderStore.java: define the interface for
	  persistent storage of data for each plugin

2003-08-26 00:14  rogan

	* src/org/owasp/webscarab/model/: Conversation.java, URLInfo.java:
	  changed to ocl Prop, added a keyset method

2003-08-17 22:29  rogan

	* src/org/owasp/webscarab/: model/Conversation.java,
	  model/SiteModel.java, plugin/AbstractWebScarabPlugin.java,
	  plugin/Plug.java, plugin/WebScarabPlugin.java,
	  plugin/proxy/ConnectionHandler.java, plugin/proxy/Proxy.java,
	  plugin/spider/SequencedTreeMap.java, ui/Framework.java,
	  ui/swing/ConversationLog.java, ui/swing/SwingPlugin.java,
	  ui/swing/WebScarab.form, ui/swing/WebScarab.java,
	  plugin/spider/Spider.java: Update model, supporting and
	  implementing classes. Conversation no longer carries the Request
	  and Response, or the parsed version of the Response content.

2003-08-15 21:20  rogan

	* src/org/owasp/webscarab/plugin/Plug.java: fix indentation

2003-08-15 20:42  rogan

	* src/org/owasp/webscarab/ui/swing/: WebScarab.form,
	  WebScarab.java, WebScarabUI.form, WebScarabUI.java: Renamed
	  WebScarabUI to WebScarab

2003-08-15 20:38  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: Moved WebScarab
	  up one level, renamed it to Framework. This is a common class
	  that can be used by all UI implementations

2003-08-08 00:00  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: reuse a single
	  HTML parser, to save memory, and speed things up. Also flush
	  conversations, to save memory. Eventually, we will need to write
	  these out, and read them back on demand.

2003-08-07 23:57  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: less logging

2003-08-07 23:56  rogan

	* src/org/owasp/webscarab/plugin/spider/: Link.java, Spider.java:
	  Use a lighter weight class than Request to store unseen links.
	  Make spidering more robust in the face of anchors, etc in URLs.
	  Still need to maintain cookie state

2003-08-07 23:53  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  ConversationRecorder.java, Proxy.java: make sure that we had a
	  request or a response that went all the way to the server

2003-08-07 17:54  istr

	* src/org/owasp/webscarab/model/Conversation.java: fixed name sHPP

2003-08-07 08:41  rogan

	* src/org/owasp/webscarab/ui/swing/.nbattrs: pointless files

2003-08-07 08:39  rogan

	* src/org/owasp/webscarab/plugin/spider/Spider.java: Add methods to
	  queue urls

2003-08-07 08:38  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: test for null
	  pointers

2003-08-07 08:38  rogan

	* src/org/owasp/webscarab/model/Conversation.java: Fixed incorrect
	  method call

2003-08-07 07:59  rogan

	* src/org/owasp/webscarab/httpclient/AsyncFetcher.java: Actually
	  remove items from the queue

2003-08-06 23:09  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarabUI.java: Include the
	  Spider UI panel

2003-08-06 23:08  rogan

	* src/org/owasp/webscarab/plugin/spider/: SequencedTreeMap.java,
	  Spider.java: Spider implementation

2003-08-06 23:07  rogan

	* src/org/owasp/webscarab/model/Response.java: carry the associated
	  Request

2003-08-06 23:04  rogan

	* src/org/owasp/webscarab/httpclient/: AsyncFetcher.java,
	  URLFetcher.java: new Asynchronous URL Fetcher wrapper, and
	  assorted updates to URLFetcher

2003-08-06 13:01  istr

	* src/org/owasp/webscarab/model/Conversation.java: URLUtil cleanup

2003-08-06 00:36  rogan

	* src/org/owasp/webscarab/ui/swing/ConversationLog.form: View into
	  the site model

2003-08-06 00:23  rogan

	* src/org/owasp/webscarab/: plugin/spider/Spider.java,
	  ui/swing/WebScarabUI.java: Initial stab at a spider - currently
	  just printing links

2003-08-06 00:22  rogan

	* src/org/owasp/webscarab/: model/Conversation.java,
	  ui/swing/WebScarab.java: Implemented HTML parser support using
	  htmlparser (http://htmlparser.sourceforge.net)

2003-08-05 00:38  rogan

	* src/org/owasp/webscarab/ui/swing/: ConversationLog.java,
	  WebScarabUI.java: Added a view into the model, and install it as
	  a plugin

2003-08-05 00:36  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: add method for
	  getting to the sitemodel

2003-08-05 00:30  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: reimplement the
	  conversation table model

2003-08-05 00:28  rogan

	* src/org/owasp/webscarab/model/Conversation.java: get the whole
	  schemehostportpath

2003-08-05 00:28  rogan

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: Re-enabled
	  SSL support

2003-08-04 21:35  rogan

	* src/org/owasp/webscarab/plugin/proxy/: ConnectionHandler.java,
	  Proxy.java: Update to support calling ConnectionHandler with a
	  base URL, which supports acting as a reverse proxy as well (with
	  an appropriate listener)

2003-08-04 13:51  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: Add a logger,
	  move parsing the response to the sitemodel

2003-08-04 13:48  rogan

	* src/org/owasp/webscarab/ui/swing/WebScarab.form: WebScarab itself
	  should not have a form

2003-08-04 13:46  rogan

	* src/org/owasp/webscarab/model/SiteModel.java: Parse the response
	  in the site model, rather than in the UI

2003-08-04 13:46  rogan

	* src/org/owasp/webscarab/plugin/proxy/: AbstractProxyPlugin.java,
	  ConnectionHandler.java, ConversationRecorder.java,
	  ProxyPlugin.java: Rework the connection process, around the new
	  plugin arch

2003-08-04 13:41  rogan

	* src/org/owasp/webscarab/model/URLInfo.java: initialise the
	  properties

2003-08-04 13:37  rogan

	* src/org/owasp/webscarab/httpclient/: HTTPClient.java,
	  URLFetcher.java: Interface for all HTTP client's to implement.
	  Updated URLFetcher to implement it.  If we change to a different
	  HTTPClient implementation, this is the interface

2003-08-04 09:16  rogan

	* src/org/owasp/webscarab/plugin/proxy/AbstractProxyPlugin.java:
	  Not required.

2003-07-30 11:47  istr

	* src/org/owasp/webscarab/: build.xml, model/Conversation.java,
	  ui/swing/WebScarabUI.java, plugin/AbstractWebScarabPlugin.java,
	  plugin/Plug.java, plugin/WebScarabPlugin.java,
	  plugin/proxy/AbstractProxyPlugin.java,
	  plugin/proxy/ConnectionHandler.java,
	  plugin/proxy/CopyInputStream.java, plugin/proxy/Proxy.java,
	  plugin/proxy/ProxyPlugin.java, plugin/build.xml: compiles

2003-07-30 11:43  istr

	* src/org/owasp/webscarab/ui/swing/: RequestPanel.java,
	  SwingPlugin.java, WebScarab.java, WebScarabUI.java: compiles

2003-07-30 11:32  istr

	* src/org/owasp/webscarab/httpclient/URLFetcher.java: compiles

2003-07-30 09:24  istr

	* src/org/owasp/webscarab/: WebScarab.java,
	  ui/swing/WebScarab.java: WebScarab in right place

2003-07-30 09:21  istr

	* src/org/owasp/webscarab/ui/swing/WebScarab.java: removed

2003-07-30 00:12  rogan

	* src/org/owasp/webscarab/: ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.java, ui/swing/SwingPlugin.java,
	  ui/swing/WebScarabUI.java, util/Util.java: fixing initial src in
	  package

2003-07-30 00:10  rogan

	* src/org/owasp/webscarab/httpclient/: ChunkedInputStream.java,
	  FixedLengthInputStream.java, URLFetcher.java: Fixed initial
	  src.org

2003-07-29 23:57  istr

	* build.xml, src/org/owasp/webscarab/build.xml,
	  src/org/owasp/webscarab/httpclient/build.xml,
	  src/org/owasp/webscarab/model/build.xml: build stuff

2003-07-29 23:50  rogan

	* src/org/owasp/webscarab/model/: Conversation.java, Header.java,
	  Message.java, Request.java, Response.java, SiteModel.java,
	  URLInfo.java: Fixed problem with initial src in the package name

2003-07-29 21:47  rogan

	* src/org/owasp/webscarab/util/Util.java: Moved from parent dir

2003-07-29 21:47  rogan

	* src/org/owasp/webscarab/Util.java: Moved to util directory

2003-07-29 21:41  rogan

	* src/org/owasp/webscarab/: Util.java, WebScarab.java: initial
	  checkin

2003-07-28 23:35  rogan

	* src/org/owasp/webscarab/: httpclient/ChunkedInputStream.java,
	  httpclient/FixedLengthInputStream.java,
	  httpclient/URLFetcher.java, model/Conversation.java,
	  model/Header.java, model/Message.java, model/Request.java,
	  model/Response.java, model/SiteModel.java, model/URLInfo.java,
	  ui/swing/RequestPanel.form, ui/swing/RequestPanel.java,
	  ui/swing/ResponsePanel.form, ui/swing/ResponsePanel.java,
	  ui/swing/.nbattrs, ui/swing/SwingPlugin.java,
	  ui/swing/WebScarabUI.form, ui/swing/WebScarabUI.java: Initial
	  check in of new architecture, proxy code, interfaces, etc from
	  Rogan

2002-12-08 20:12  istr

	* src/org/owasp/webscarab/: swing.sh, ui/swing/EventRouter.java:
	  adapted to new owasp.jar

2002-10-30 22:46  istr

	* lib/optlib.jar, lib/README, lib/junit-clean.jar,
	  doc/new.webscarab.zargo, src/org/owasp/webscarab/Class.tpl,
	  src/org/owasp/webscarab/LICENSE.java,
	  src/org/owasp/webscarab/RELEASE,
	  src/org/owasp/webscarab/Suite.tpl,
	  src/org/owasp/webscarab/Test.tpl,
	  src/org/owasp/webscarab/build.xml,
	  src/org/owasp/webscarab/swing.sh,
	  src/org/owasp/webscarab/test.sh,
	  src/org/owasp/webscarab/ui/Init.java,
	  src/org/owasp/webscarab/ui/build.xml,
	  src/org/owasp/webscarab/ui/swing/EventRouter.java,
	  src/org/owasp/webscarab/ui/swing/.nbattrs,
	  src/org/owasp/webscarab/ui/swing/RunAnEvent.java,
	  src/org/owasp/webscarab/ui/swing/WebScarab.form,
	  src/org/owasp/webscarab/ui/swing/WebScarab.java,
	  src/org/owasp/webscarab/ui/swing/build.xml,
	  src/org/owasp/webscarab/util/Prioritized.java,
	  src/org/owasp/webscarab/util/PriorityQueue.java,
	  src/org/owasp/webscarab/util/Timer.java,
	  src/org/owasp/webscarab/util/TimerManager.java,
	  src/org/owasp/webscarab/util/WebScarabSM.java,
	  src/org/owasp/webscarab/util/build.xml: Initial revision

2002-10-30 22:46  istr

	* lib/optlib.jar, lib/README, lib/junit-clean.jar,
	  doc/new.webscarab.zargo, src/org/owasp/webscarab/Class.tpl,
	  src/org/owasp/webscarab/LICENSE.java,
	  src/org/owasp/webscarab/RELEASE,
	  src/org/owasp/webscarab/Suite.tpl,
	  src/org/owasp/webscarab/Test.tpl,
	  src/org/owasp/webscarab/build.xml,
	  src/org/owasp/webscarab/swing.sh,
	  src/org/owasp/webscarab/test.sh,
	  src/org/owasp/webscarab/ui/Init.java,
	  src/org/owasp/webscarab/ui/build.xml,
	  src/org/owasp/webscarab/ui/swing/EventRouter.java,
	  src/org/owasp/webscarab/ui/swing/.nbattrs,
	  src/org/owasp/webscarab/ui/swing/RunAnEvent.java,
	  src/org/owasp/webscarab/ui/swing/WebScarab.form,
	  src/org/owasp/webscarab/ui/swing/WebScarab.java,
	  src/org/owasp/webscarab/ui/swing/build.xml,
	  src/org/owasp/webscarab/util/Prioritized.java,
	  src/org/owasp/webscarab/util/PriorityQueue.java,
	  src/org/owasp/webscarab/util/Timer.java,
	  src/org/owasp/webscarab/util/TimerManager.java,
	  src/org/owasp/webscarab/util/WebScarabSM.java,
	  src/org/owasp/webscarab/util/build.xml: WebScarab import

2002-10-30 22:43  istr

	* LICENSE, 1st.html, INSTALL, README, build.xml, config.build.xml:
	  Initial revision

2002-10-30 22:43  istr

	* LICENSE, 1st.html, INSTALL, README, build.xml, config.build.xml:
	  WebScarab import

